Bug 109060 - Add AVIF file format support to all bundles (AppImage, MacOS, Windows)
Summary: Add AVIF file format support to all bundles (AppImage, MacOS, Windows)
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-QImage (show other bugs)
Version: 7.6.0
Platform: Appimage Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-14 09:57 UTC by Mirko Weber
Modified: 2022-03-10 07:20 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Weber 2005-07-14 09:57:14 UTC
Version:           0.7.2 (using KDE 3.4.1, Debian Package 4:3.4.1-1 (3.1))
Compiler:          gcc version 3.3.6 (Debian 1:3.3.6-5)
OS:                Linux (i686) release 2.6.11-jack

Is there is a possibility to split the backup to diffent k3b-projects, when the size of the selected albums is greater then the size of the selected medium? 

thanks
Comment 1 caulier.gilles 2022-03-08 13:18:26 UTC
Entry reassigned
Comment 2 caulier.gilles 2022-03-08 13:20:45 UTC
We  needs at least 2 libraries for that :
Comment 3 caulier.gilles 2022-03-08 13:24:31 UTC
https://github.com/AOMediaCodec/libavif

As we can see with cmake options : 

https://github.com/AOMediaCodec/libavif/blob/master/CMakeLists.txt#L32

libavif will checkout as submodule the libaom codec...

Gilles Caulier
Comment 4 caulier.gilles 2022-03-08 13:43:18 UTC
Git commit 5abc86f031d5cb10ddfb7ae1e6aff2284aa4f33e by Gilles Caulier.
Committed on 08/03/2022 at 13:42.
Pushed by cgilles into branch 'qt5-maintenance'.

Start to implement libavif/aom supports

M  +1    -0    project/bundles/3rdparty/CMakeLists.txt
A  +118  -0    project/bundles/3rdparty/ext_libavif/CMakeLists.txt
A  +60   -0    project/bundles/3rdparty/ext_libavif/jxl-lib-linux.patch
A  +75   -0    project/bundles/3rdparty/ext_libavif/jxl-lib-macports.patch
A  +60   -0    project/bundles/3rdparty/ext_libavif/jxl-lib-mxe.patch
M  +1    -0    project/bundles/appimage/01-build-host.sh
M  +1    -0    project/bundles/macports/01-build-macports.sh
M  +1    -0    project/bundles/mxe/01-build-mxe.sh

https://invent.kde.org/graphics/digikam/commit/5abc86f031d5cb10ddfb7ae1e6aff2284aa4f33e
Comment 5 dnovomesky 2022-03-08 14:35:18 UTC
Some notes regarding libaom (AV1 decoder+encoder used by libavif):

It needs Perl to build.

For optimal performance on x86_64 platform it needs assembler nasm or yasm.

libaom can be built without assembler (cmake -DAOM_TARGET_CPU=generic) but write performance will be very slow.
Comment 6 caulier.gilles 2022-03-08 16:05:04 UTC
Perl must be available everywhere :

MXE (cross-compiling for Windows) -> it's a Linux host...
Macports -> MacOS VM -> ok
AppImage -> Linux of course
Snap CD -> Linux
FlatPak - Linux
Windows native CD -> I don't know, but possible

Gilles Caulier
Comment 7 caulier.gilles 2022-03-08 16:33:58 UTC
Git commit dbb98ebb5857f34d0c1f17f1c90a6b54189b3d35 by Gilles Caulier.
Committed on 08/03/2022 at 16:30.
Pushed by cgilles into branch 'qt5-maintenance'.

add liaom deps under MXE

M  +35   -3    project/bundles/3rdparty/ext_libavif/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/dbb98ebb5857f34d0c1f17f1c90a6b54189b3d35
Comment 8 caulier.gilles 2022-03-08 16:51:46 UTC
Git commit 0d60eb0eb6edeb1b023facd81f5cfd3e08d9b914 by Gilles Caulier.
Committed on 08/03/2022 at 16:50.
Pushed by cgilles into branch 'qt5-maintenance'.

Fix compilation of libaom and libavif with MXE.

M  +2    -2    project/bundles/3rdparty/ext_libavif/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/0d60eb0eb6edeb1b023facd81f5cfd3e08d9b914
Comment 9 caulier.gilles 2022-03-08 16:58:02 UTC
Git commit 82ef9588282ab4c0d9f9486cc7d7aa4580ef323a by Gilles Caulier.
Committed on 08/03/2022 at 16:57.
Pushed by cgilles into branch 'qt5-maintenance'.

add AVIF as supported type mime.

M  +1    -0    core/libs/database/coredb/coredbschemaupdater.cpp

https://invent.kde.org/graphics/digikam/commit/82ef9588282ab4c0d9f9486cc7d7aa4580ef323a
Comment 10 caulier.gilles 2022-03-08 17:05:30 UTC
Git commit 2d9a589e74866b7574e4b90cdcd5d7b7c3c90952 by Gilles Caulier.
Committed on 08/03/2022 at 17:05.
Pushed by cgilles into branch 'qt5-maintenance'.

Add libaom dependency for AppImage

M  +41   -2    project/bundles/3rdparty/ext_libavif/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/2d9a589e74866b7574e4b90cdcd5d7b7c3c90952
Comment 11 caulier.gilles 2022-03-08 17:30:55 UTC
Git commit 59e7d811308acfac5f74a8b4988f77290920f206 by Gilles Caulier.
Committed on 08/03/2022 at 17:29.
Pushed by cgilles into branch 'qt5-maintenance'.

libavif for AppImage: inst ayasm and fix compilation of aom and avif libraries

M  +3    -13   project/bundles/3rdparty/ext_libavif/CMakeLists.txt
D  +0    -60   project/bundles/3rdparty/ext_libavif/jxl-lib-linux.patch
D  +0    -60   project/bundles/3rdparty/ext_libavif/jxl-lib-mxe.patch
M  +1    -0    project/bundles/appimage/01-build-host.sh

https://invent.kde.org/graphics/digikam/commit/59e7d811308acfac5f74a8b4988f77290920f206
Comment 12 caulier.gilles 2022-03-08 17:43:09 UTC
Git commit 8a40ecd93608acba9fdf553ec2c8d9b3d6921bf0 by Gilles Caulier.
Committed on 08/03/2022 at 17:42.
Pushed by cgilles into branch 'qt5-maintenance'.

AVIF supports under MacOS: install libaom with Macports and compile libavif

M  +1    -25   project/bundles/3rdparty/ext_libavif/CMakeLists.txt
D  +0    -75   project/bundles/3rdparty/ext_libavif/jxl-lib-macports.patch
M  +1    -0    project/bundles/macports/01-build-macports.sh

https://invent.kde.org/graphics/digikam/commit/8a40ecd93608acba9fdf553ec2c8d9b3d6921bf0
Comment 13 caulier.gilles 2022-03-08 17:50:11 UTC
Git commit 57b05919f7679e7ce4f5bc9437fbfebb33b0c928 by Gilles Caulier.
Committed on 08/03/2022 at 17:49.
Pushed by cgilles into branch 'master'.

AVIF support: sync with qt5-maintenance branch

M  +2    -0    core/libs/database/coredb/coredbschemaupdater.cpp
M  +1    -0    project/bundles/3rdparty/CMakeLists.txt
A  +155  -0    project/bundles/3rdparty/ext_libavif/CMakeLists.txt
M  +2    -0    project/bundles/appimage/01-build-host.sh
M  +2    -0    project/bundles/macports/01-build-macports.sh
M  +1    -0    project/bundles/mxe/01-build-mxe.sh

https://invent.kde.org/graphics/digikam/commit/57b05919f7679e7ce4f5bc9437fbfebb33b0c928
Comment 14 caulier.gilles 2022-03-08 18:09:30 UTC
@dnovomesky

All 7.7.0-pre-release bundles compile currently with AVIF/AOM support. They will be available in few hours for testing at usual place.

Gilles
Comment 15 caulier.gilles 2022-03-08 18:24:19 UTC
AVIF/AOM support under Windows : https://i.imgur.com/KhNhNLt.png
Comment 16 caulier.gilles 2022-03-08 18:26:15 UTC
Maik, 

AVIF/AOM image thumbnail is broken, but preview work fine. I think it's due to file format detection as video file

Gilles
Comment 17 caulier.gilles 2022-03-08 19:21:09 UTC
For AppImage Linux, AVIF export from JPEG inside Image Editor do not work :

Digikam::EditorWindow::startingSaveAs: startSavingAs called
Digikam::EditorWindow::showFileSaveDialog: Writing file to  QUrl("file:///home/gilles/Images/SALAGOU/DSC08843.avif")
Digikam::FileSaveOptionsBox::discoverFormat: Trying to discover format based on filename ' "DSC08843.avif" ', fallback =  0
Digikam::FileSaveOptionsBox::discoverFormat: Using fallback format  0
Digikam::FileSaveOptionsBox::discoverFormat: Discovered format:  0
Digikam::EditorWindow::selectValidSavingFormat: Trying to find a saving format from targetUrl =  QUrl("file:///home/gilles/Images/SALAGOU/DSC08843.avif")
Digikam::EditorWindow::selectValidSavingFormat: Qt Offered types:  "*.avif *.bmp *.bw *.cur *.eps *.epsf *.epsi *.icns *.ico *.jxl *.pbm *.pcx *.pgm *.pic *.png *.ppm *.rgb *.rgba *.sgi *.tga *.wbmp *.webp *.xbm *.xpm *.tiff *.tif *.jpg *.jpeg *.jpe *.jp2 *.j2k *.jpx *.pgx *.pgf *.heic *.heif *.fts *.fit *.fits "
Digikam::EditorWindow::selectValidSavingFormat: Writable formats:  ("avif", "bmp", "bw", "cur", "eps", "epsf", "epsi", "icns", "ico", "jxl", "pbm", "pcx", "pgm", "pic", "png", "ppm", "rgb", "rgba", "sgi", "tga", "wbmp", "webp", "xbm", "xpm", "tiff", "tif", "jpg", "jpeg", "jpe", "jp2", "j2k", "jpx", "pgx", "pgf", "heic", "heif", "fts", "fit", "fits")
Digikam::EditorWindow::selectValidSavingFormat: Possible format from local file:  "avif"
Digikam::EditorWindow::selectValidSavingFormat: Using format from target url  "avif"
Digikam::ItemMarkerTiler::slotSourceModelReset: ----
Digikam::EditorCore::Private::saveAs: Saving to : "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif" ( "avif" )
Digikam::EditorCore::Private::saveNext: Saving file "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif" at -1
Digikam::DImg::prepareMetadataToSave: Prepare Metadata to save for "/home/gilles/Images/SALAGOU/DSC08843.avif"
Digikam::MetaEngine::setItemPreview: JPEG image preview size: ( 1280 x 853 ) pixels - 104312 bytes
Digikam::DImg::save: Saving to  "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif"  with format:  "avif"
Digikam::MetaEngine::Private::printExiv2ExceptionError: Cannot load metadata from file with Exiv2 backend: /home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif  (Error # 20 :  "Failed to read input data"
Digikam::DMetadata::loadUsingImageMagick: Cannot parse metadata from [ "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif" ] with ImageMagick identify
Digikam::DMetadata::load: Loading metadata with "ImageMagick" backend from "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif"
Digikam::MetaEngine::save: MetaEngine::metadataWritingMode 0
Digikam::MetaEngine::save: Will write Metadata to file "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif"
Digikam::MetaEngine::Private::printExiv2ExceptionError: Cannot save metadata to image with Exiv2 backend:  (Error # 20 :  "Failed to read input data"
Digikam::EditorCore::slotImageSaved: error saving image ' /home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif
Digikam::EditorWindow::slotSavingFinished: "/home/gilles/Images/SALAGOU/EditorWindow-LnKmvC.digikamtempfile.avif" false true

Not idea why ...

Gilles
Comment 18 caulier.gilles 2022-03-08 19:35:34 UTC
I turned on all KF5 framework debug spaces : no warning/error
I tried all to enable all Qt debug trace : nothing special...

Gilles
Comment 19 caulier.gilles 2022-03-08 19:37:54 UTC
But... there are qwarning() in AVIF plugin from KImageFormats :

https://invent.kde.org/frameworks/kimageformats/-/blob/master/src/imageformats/avif.cpp#L423

So...

Gilles
Comment 20 caulier.gilles 2022-03-08 20:04:23 UTC
AVIF support under MacOS : https://i.imgur.com/BMUti4B.png

All work as expected, expected the thumbnails, as under Windows

Gilles
Comment 21 caulier.gilles 2022-03-09 07:49:31 UTC
compilation trace of libaom and libavif under Linux for AppImage :

[  0%] Creating directories for 'libaom'
[  0%] Performing download step (git clone) for 'libaom'
Clonage dans 'libaom'...
HEAD est maintenant sur 87460cef8 Replace AOM_EXT_PART_ABI_VERSION with old value
[ 33%] No update step for 'libaom'
[ 33%] No patch step for 'libaom'
[ 66%] Performing configure step for 'libaom'
-- The C compiler identification is GNU 8.4.0
-- The CXX compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found Git: /usr/bin/git (found version "2.21.4") 
-- Found Perl: /usr/bin/perl (found version "5.28.3") 
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
--- aom_configure: Detected CPU: x86_64
Running C compiler test: inline_check_1
-- Performing Test C_TEST_COMPILED
-- Performing Test C_TEST_COMPILED - Success
Running CXX compiler test: inline_check_1
-- Performing Test CXX_TEST_COMPILED
-- Performing Test CXX_TEST_COMPILED - Success
Running C compiler test: unistd_check
-- Performing Test C_TEST_COMPILED
-- Performing Test C_TEST_COMPILED - Success
Running CXX compiler test: unistd_check
-- Performing Test CXX_TEST_COMPILED
-- Performing Test CXX_TEST_COMPILED - Success
Running C compiler test: fenv_check
-- Performing Test C_TEST_COMPILED
-- Performing Test C_TEST_COMPILED - Success
Checking C compiler flag support for: -std=c99
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -std=c++11
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -Wall
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wall
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wdisabled-optimization
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wdisabled-optimization
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wextra
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wextra
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wfloat-conversion
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wfloat-conversion
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wformat=2
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wformat=2
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wimplicit-function-declaration
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wlogical-op
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wlogical-op
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wpointer-arith
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wpointer-arith
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wshorten-64-to-32
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Failed
Checking C++ compiler flag support for: -Wshorten-64-to-32
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Failed
Checking C compiler flag support for: -Wsign-compare
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wsign-compare
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wstring-conversion
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Failed
Checking C++ compiler flag support for: -Wstring-conversion
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Failed
Checking C compiler flag support for: -Wtype-limits
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wtype-limits
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wuninitialized
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wuninitialized
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wunused
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wunused
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wvla
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wvla
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wstack-usage=100000
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wstack-usage=240000
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wshadow
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wundef
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -D_LARGEFILE_SOURCE
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -D_LARGEFILE_SOURCE
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -D_FILE_OFFSET_BITS=64
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -D_FILE_OFFSET_BITS=64
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
-- Found PythonInterp: /usr/bin/python (found version "2.7.18") 
-- Performing Test FLAG_SUPPORTED
-- Performing Test FLAG_SUPPORTED - Success
Checking C compiler flag support for: -msse2
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse2
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -msse3
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse3
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -mssse3
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -mssse3
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -msse4.1
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse4.1
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -msse4.2
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse4.2
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -mavx2
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -mavx2
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    BUILD_TESTING


-- Build files have been written to: /b/ext_libavif/libaom-prefix/src/libaom-build
[ 66%] Performing build step for 'libaom'
[  0%] Updating version info if necessary.
[  0%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/convert_argb.cc.o
[  0%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/cpu_id.cc.o
[  0%] Built target generate_exports
[  0%] Built target aom_version_check
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/planar_functions.cc.o
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_any.cc.o
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_common.cc.o
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_gcc.cc.o
[  2%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_mips.cc.o
[  2%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_neon.cc.o
[  2%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_neon64.cc.o
[  2%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_win.cc.o
[  3%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale.cc.o
[  3%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_any.cc.o
[  3%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_common.cc.o
[  3%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_gcc.cc.o
[  4%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_mips.cc.o
[  4%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_neon.cc.o
[  4%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_neon64.cc.o
[  4%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_win.cc.o
[  5%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_uv.cc.o
[  5%] Building C object CMakeFiles/aom_version.dir/gen_src/aom_version_dummy.c.o
[  6%] Linking C shared library libaom_version.so
[  6%] Built target aom_version
[  6%] Writing aom.pc
[  6%] Building C object CMakeFiles/aom_rtcd.dir/aom_dsp/aom_dsp_rtcd.c.o
[  6%] Building C object CMakeFiles/aom_pc.dir/gen_src/aom_pc_dummy.c.o
[  6%] Linking C shared library libaom_pc.so
[  7%] Building C object CMakeFiles/aom_rtcd.dir/aom_scale/aom_scale_rtcd.c.o
[  7%] Built target aom_pc
[  7%] Building C object CMakeFiles/aom_rtcd.dir/av1/common/av1_rtcd.c.o
[  7%] Built target yuv
[  8%] Built target aom_rtcd
[  8%] Building C object CMakeFiles/aom_dsp_encoder_ssse3.dir/gen_src/aom_dsp_encoder_ssse3_dummy.c.o
[  9%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm1d_sse4.c.o
[  9%] Building C object CMakeFiles/aom_dsp_encoder_sse2.dir/gen_src/aom_dsp_encoder_sse2_dummy.c.o
[  9%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_quantize_avx2.c.o
[ 10%] Linking C static library libaom_dsp_encoder_ssse3.a
[ 11%] Linking C static library libaom_dsp_encoder_sse2.a
[ 11%] Built target aom_dsp_encoder_ssse3
[ 11%] Built target aom_dsp_encoder_sse2
[ 11%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/binary_codes_writer.c.o
[ 12%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/aom_convolve_copy_sse2.c.o
[ 12%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/bitwriter.c.o
[ 12%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/blk_sse_sum.c.o
[ 13%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/entenc.c.o
[ 13%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/fwd_txfm.c.o
[ 13%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/aom_subpixel_8t_intrin_sse2.c.o
[ 14%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_highbd_quantize_avx2.c.o
[ 14%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/grain_table.c.o
[ 14%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/noise_model.c.o
[ 14%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/aom_asm_stubs.c.o
[ 14%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/corner_match_avx2.c.o
[ 14%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/fft_sse2.c.o
[ 14%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm2d_sse4.c.o
[ 14%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/error_intrin_avx2.c.o
[ 15%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/noise_util.c.o
[ 15%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/highbd_block_error_intrin_avx2.c.o
[ 15%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/av1_highbd_quantize_sse4.c.o
[ 16%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/highbd_convolve_sse2.c.o
[ 16%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/psnr.c.o
[ 17%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm2d_avx2.c.o
[ 17%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/highbd_intrapred_sse2.c.o
[ 17%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/corner_match_sse4.c.o
[ 18%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/encodetxb_sse4.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/quantize.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sad.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/highbd_loopfilter_sse2.c.o
[ 18%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/highbd_fwd_txfm_sse4.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/intrapred_sse2.c.o
[ 19%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sad_av1.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/loopfilter_sse2.c.o
[ 20%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/rdopt_sse4.c.o
[ 20%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/pickrst_sse4.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/avg_intrin_sse2.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sse.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/ssim.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sum_squares.c.o
[ 21%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/variance.c.o
[ 21%] Built target aom_dsp_common_sse2_intrinsics
[ 22%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/cdef_block_avx2.c.o
[ 22%] Built target aom_av1_encoder_sse4_intrinsics
[ 22%] Building C object CMakeFiles/aom_dsp_common_ssse3.dir/gen_src/aom_dsp_common_ssse3_dummy.c.o
[ 22%] Linking C static library libaom_dsp_common_ssse3.a
[ 22%] Built target aom_dsp_common_ssse3
[ 22%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/fwd_txfm_sse2.c.o
[ 22%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/highbd_fwd_txfm_avx2.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_quantize_intrin_sse2.c.o
[ 22%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/av1_inv_txfm_avx2.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_subtract_sse2.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_variance_sse2.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/quantize_sse2.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/adaptive_quantize_sse2.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_adaptive_quantize_sse2.c.o
[ 23%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/wedge_utils_avx2.c.o
[ 23%] Built target aom_dsp_encoder
[ 23%] Building C object CMakeFiles/aom_dsp_common_ssse3_intrinsics.dir/aom_dsp/x86/aom_subpixel_8t_intrin_ssse3.c.o
[ 23%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/encodetxb_avx2.c.o
[ 24%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/blk_sse_sum_sse2.c.o
[ 24%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/sum_squares_sse2.c.o
[ 25%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/rdopt_avx2.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_common_ssse3_intrinsics.dir/aom_dsp/x86/highbd_convolve_ssse3.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/variance_sse2.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_common_ssse3_intrinsics.dir/aom_dsp/x86/intrapred_ssse3.c.o
[ 26%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_k_means_avx2.c.o
[ 26%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/temporal_filter_avx2.c.o
[ 26%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/cfl_avx2.c.o
[ 26%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/highbd_temporal_filter_avx2.c.o
[ 26%] Built target aom_dsp_encoder_sse2_intrinsics
[ 26%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/aom_convolve.c.o
[ 26%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/convolve_2d_avx2.c.o
[ 26%] Built target aom_dsp_common_ssse3_intrinsics
[ 26%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/masked_sad_intrin_ssse3.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/bitreader_buffer.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/bitwriter_buffer.c.o
[ 27%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/pickrst_avx2.c.o
[ 28%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/blend_a64_hmask.c.o
[ 28%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/blend_a64_mask.c.o
[ 29%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/convolve_avx2.c.o
[ 29%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/blend_a64_vmask.c.o
[ 29%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/entcode.c.o
[ 30%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/fft.c.o
[ 30%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_convolve_2d_avx2.c.o
[ 30%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/masked_sad4d_ssse3.c.o
[ 30%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/cnn_avx2.c.o
[ 30%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_inv_txfm_avx2.c.o
[ 30%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/intrapred.c.o
[ 30%] Built target aom_av1_encoder_avx2_intrinsics
[ 30%] Building C object CMakeFiles/aom_av1_encoder_sse42_intrinsics.dir/av1/encoder/x86/hash_sse42.c.o
[ 30%] Built target aom_av1_encoder_sse42_intrinsics
[ 31%] Building C object CMakeFiles/aom_mem.dir/aom_mem/aom_mem.c.o
[ 31%] Built target aom_mem
[ 31%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/loopfilter.c.o
[ 31%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/masked_variance_intrin_ssse3.c.o
[ 32%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/quantize_ssse3.c.o
[ 32%] Building C object CMakeFiles/aom_dsp.dir/gen_src/aom_av1_dummy.c.o
[ 33%] Building C object CMakeFiles/aom_dsp.dir/gen_src/aom_dsp_dummy.c.o
[ 33%] Built target aom_dsp
[ 33%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/av1_dx_iface.c.o
[ 33%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/variance_impl_ssse3.c.o
[ 33%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/odintrin.c.o
[ 34%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/subtract.c.o
[ 34%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/avg.c.o
[ 34%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/jnt_variance_ssse3.c.o
[ 35%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decodeframe.c.o
[ 35%] Built target aom_dsp_common
[ 35%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decodemv.c.o
[ 35%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/jnt_sad_ssse3.c.o
[ 35%] Built target aom_dsp_encoder_ssse3_intrinsics
[ 35%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/cdef_block_sse4.c.o
[ 35%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decoder.c.o
[ 35%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decodetxb.c.o
[ 35%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_jnt_convolve_avx2.c.o
[ 36%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/detokenize.c.o
[ 37%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_wiener_convolve_avx2.c.o
[ 37%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/av1_convolve_horiz_rs_sse4.c.o
[ 37%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/grain_synthesis.c.o
[ 37%] Building C object CMakeFiles/aom_dsp_common_sse4_1_intrinsics.dir/aom_dsp/x86/blend_a64_hmask_sse4.c.o
[ 37%] Building C object CMakeFiles/aom_dsp_common_sse4_1_intrinsics.dir/aom_dsp/x86/blend_a64_mask_sse4.c.o
[ 37%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_warp_affine_avx2.c.o
[ 38%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/av1_convolve_scale_sse4.c.o
[ 38%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/obu.c.o
[ 38%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/av1_txfm_sse4.c.o
[ 38%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/filterintra_sse4.c.o
[ 38%] Built target aom_av1_decoder
[ 38%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_convolve_2d_sse4.c.o
[ 38%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/jnt_convolve_avx2.c.o
[ 39%] Building C object CMakeFiles/aom_dsp_common_sse4_1_intrinsics.dir/aom_dsp/x86/blend_a64_vmask_sse4.c.o
[ 40%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_inv_txfm_sse4.c.o
[ 40%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_jnt_convolve_sse4.c.o
[ 40%] Built target aom_dsp_common_sse4_1_intrinsics
[ 40%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_warp_plane_sse4.c.o
[ 40%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/intra_edge_sse4.c.o
[ 41%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/reconinter_sse4.c.o
[ 41%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/reconinter_avx2.c.o
[ 42%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/selfguided_avx2.c.o
[ 42%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/selfguided_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/warp_plane_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/warp_plane_avx2.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/av1_cx_iface.c.o
[ 42%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/wiener_convolve_avx2.c.o
[ 42%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/highbd_variance_sse4.c.o
[ 43%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/sse_sse4.c.o
[ 43%] Built target aom_av1_common_avx2_intrinsics
[ 43%] Building C object CMakeFiles/aom_dsp_encoder_avx_intrinsics.dir/aom_dsp/x86/aom_quantize_avx.c.o
[ 43%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/obmc_sad_sse4.c.o
[ 44%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/aq_complexity.c.o
[ 44%] Built target aom_dsp_encoder_avx_intrinsics
[ 44%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/aom_convolve_copy_avx2.c.o
[ 44%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/aq_cyclicrefresh.c.o
[ 44%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/aom_subpixel_8t_intrin_avx2.c.o
[ 44%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/aq_variance.c.o
[ 44%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/obmc_variance_sse4.c.o
[ 44%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/allintra_vis.c.o
[ 45%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/fft_avx2.c.o
[ 46%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_fwd_txfm1d.c.o
[ 46%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/highbd_convolve_avx2.c.o
[ 46%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_fwd_txfm2d.c.o
[ 46%] Built target aom_av1_common_sse4_intrinsics
[ 46%] Building C object CMakeFiles/aom_av1_encoder_sse3_intrinsics.dir/av1/encoder/x86/ml_sse3.c.o
[ 46%] Built target aom_av1_encoder_sse3_intrinsics
[ 46%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/masked_sad_intrin_avx2.c.o
[ 46%] Built target aom_dsp_encoder_sse4_1_intrinsics
[ 47%] Building C object CMakeFiles/aom_util.dir/aom_util/aom_thread.c.o
[ 47%] Building C object CMakeFiles/aom_util.dir/aom_util/debug_util.c.o
[ 47%] Built target aom_util
[ 47%] Building C object CMakeFiles/aom_dsp_decoder.dir/aom_dsp/binary_codes_reader.c.o
[ 47%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/highbd_loopfilter_avx2.c.o
[ 47%] Building C object CMakeFiles/aom_dsp_decoder.dir/aom_dsp/bitreader.c.o
[ 48%] Building C object CMakeFiles/aom_dsp_decoder.dir/aom_dsp/entdec.c.o
[ 48%] Built target aom_dsp_decoder
[ 48%] Building C object CMakeFiles/aom_av1_common.dir/common/args_helper.c.o
[ 48%] Building C object CMakeFiles/aom_av1_common.dir/av1/arg_defs.c.o
[ 49%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/alloccommon.c.o
[ 49%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/intrapred_avx2.c.o
[ 49%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_quantize.c.o
[ 49%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_inv_txfm1d.c.o
[ 49%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/bitstream.c.o
[ 49%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/subtract_avx2.c.o
[ 49%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/highbd_quantize_intrin_avx2.c.o
[ 50%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/adaptive_quantize_avx2.c.o
[ 50%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/highbd_adaptive_quantize_avx2.c.o
[ 50%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad4d_avx2.c.o
[ 50%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad_avx2.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad_highbd_avx2.c.o
[ 52%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/blend_a64_mask_avx2.c.o
[ 52%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_inv_txfm2d.c.o
[ 53%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/cnn.c.o
[ 53%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad_impl_avx2.c.o
[ 53%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/avg_intrin_avx2.c.o
[ 53%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/compound_type.c.o
[ 53%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/variance_avx2.c.o
[ 53%] Built target aom_dsp_common_avx2_intrinsics
[ 53%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/highbd_variance_avx2.c.o
[ 53%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_loopfilter.c.o
[ 54%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_txfm.c.o
[ 54%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/blockd.c.o
[ 54%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/context_tree.c.o
[ 55%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sse_avx2.c.o
[ 55%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/cdef.c.o
[ 55%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/cdef_block.c.o
[ 55%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/corner_detect.c.o
[ 56%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/corner_match.c.o
[ 57%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/cfl.c.o
[ 57%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/cost.c.o
[ 57%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodeframe.c.o
[ 57%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/variance_impl_avx2.c.o
[ 57%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/convolve.c.o
[ 57%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/debugmodes.c.o
[ 57%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/entropy.c.o
[ 57%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/obmc_sad_avx2.c.o
[ 58%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/entropymode.c.o
[ 58%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodeframe_utils.c.o
[ 58%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/entropymv.c.o
[ 58%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/frame_buffers.c.o
[ 59%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodemb.c.o
[ 59%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/idct.c.o
[ 59%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/obmc_variance_avx2.c.o
[ 60%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/mvref_common.c.o
[ 60%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodemv.c.o
[ 61%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/blk_sse_sum_avx2.c.o
[ 61%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encode_strategy.c.o
[ 61%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sum_squares_avx2.c.o
[ 61%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encoder.c.o
[ 61%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/obu_util.c.o
[ 61%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/pred_common.c.o
[ 61%] Built target aom_dsp_encoder_avx2_intrinsics
[ 61%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/aom_scale.c.o
[ 61%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/quant_common.c.o
[ 62%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/reconinter.c.o
[ 62%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/gen_scalers.c.o
[ 63%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/yv12config.c.o
[ 63%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/yv12extend.c.o
[ 63%] Built target aom_scale
[ 63%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/reconintra.c.o
[ 64%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encoder_utils.c.o
[ 64%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/resize.c.o
[ 64%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/restoration.c.o
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/scale.c.o
[ 65%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/cdef_block_sse2.c.o
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/scan.c.o
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/seg_common.c.o
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/thread_common.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/tile_common.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/timing.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/txb_common.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/warped_motion.c.o
[ 66%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodetxb.c.o
[ 66%] Built target aom_av1_common
[ 67%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm_sse2.c.o
[ 68%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/cfl_sse2.c.o
[ 68%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ethread.c.o
[ 68%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/convolve_2d_sse2.c.o
[ 68%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/convolve_sse2.c.o
[ 68%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/jnt_convolve_sse2.c.o
[ 69%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/wiener_convolve_sse2.c.o
[ 69%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/warp_plane_sse2.c.o
[ 69%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/extend.c.o
[ 70%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/external_partition.c.o
[ 70%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/firstpass.c.o
[ 70%] Built target aom_av1_common_sse2_intrinsics
[ 70%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/global_motion.c.o
[ 70%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/global_motion_facade.c.o
[ 71%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/gop_structure.c.o
[ 71%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/hash.c.o
[ 71%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/hash_motion.c.o
[ 71%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/hybrid_fwd_txfm.c.o
[ 72%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/interp_search.c.o
[ 72%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/level.c.o
[ 72%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/lookahead.c.o
[ 72%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/cdef_block_ssse3.c.o
[ 72%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/mcomp.c.o
[ 73%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ml.c.o
[ 73%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/motion_search_facade.c.o
[ 73%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/av1_k_means_sse2.c.o
[ 74%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/av1_inv_txfm_ssse3.c.o
[ 74%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/mv_prec.c.o
[ 74%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/av1_quantize_sse2.c.o
[ 74%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/encodetxb_sse2.c.o
[ 75%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/error_intrin_sse2.c.o
[ 75%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/highbd_block_error_intrin_sse2.c.o
[ 75%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/highbd_temporal_filter_sse2.c.o
[ 75%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/reconinter_enc_sse2.c.o
[ 76%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/temporal_filter_sse2.c.o
[ 76%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/palette.c.o
[ 76%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/wedge_utils_sse2.c.o
[ 77%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/partition_search.c.o
[ 77%] Built target aom_av1_encoder_sse2_intrinsics
[ 77%] Building C object CMakeFiles/aom_av1_encoder_ssse3_intrinsics.dir/av1/encoder/x86/reconinter_enc_ssse3.c.o
[ 77%] Built target aom_av1_encoder_ssse3_intrinsics
[ 77%] Building C object CMakeFiles/aom_av1_encoder_sse2.dir/gen_src/aom_av1_encoder_sse2_dummy.c.o
[ 77%] Linking C static library libaom_av1_encoder_sse2.a
[ 77%] Built target aom_av1_encoder_sse2
[ 77%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/partition_strategy.c.o
[ 77%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/pass2_strategy.c.o
[ 77%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/cfl_ssse3.c.o
[ 77%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/pickcdef.c.o
[ 77%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/highbd_convolve_2d_ssse3.c.o
[ 78%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/picklpf.c.o
[ 78%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/pickrst.c.o
[ 78%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/highbd_wiener_convolve_ssse3.c.o
[ 78%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ransac.c.o
[ 78%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ratectrl.c.o
[ 79%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/jnt_convolve_ssse3.c.o
[ 79%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/reconinter_ssse3.c.o
[ 80%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/rd.c.o
[ 80%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/resize_ssse3.c.o
[ 80%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/rdopt.c.o
[ 80%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/nonrd_pickmode.c.o
[ 80%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/reconinter_enc.c.o
[ 80%] Built target aom_av1_common_ssse3_intrinsics
[ 80%] Building C object CMakeFiles/aom_dsp_common_sse2.dir/gen_src/aom_dsp_common_sse2_dummy.c.o
[ 80%] Linking C static library libaom_dsp_common_sse2.a
[ 80%] Built target aom_dsp_common_sse2
[ 81%] Building C object CMakeFiles/aom_av1_encoder_ssse3.dir/gen_src/aom_av1_encoder_ssse3_dummy.c.o
[ 81%] Linking C static library libaom_av1_encoder_ssse3.a
[ 81%] Built target aom_av1_encoder_ssse3
[ 82%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/speed_features.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/segmentation.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/superres_scale.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/svc_layercontext.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/temporal_filter.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/thirdpass.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/tokenize.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/tpl_model.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/tx_search.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/txb_rdopt.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/intra_mode_search.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/wedge_utils.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/var_based_part.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_noise_estimate.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/fastfeat/fast.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/fastfeat/fast_9.c.o
[ 86%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/fastfeat/nonmax.c.o
[ 86%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/vector/vector.c.o
[ 86%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/dwt.c.o
[ 86%] Built target aom_av1_encoder
[ 86%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_ssse3/quantize_ssse3_x86_64.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_ssse3/quantize_ssse3_x86_64.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_sse2/dct_sse2.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_sse2/dct_sse2.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_sse2/error_sse2.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_sse2/error_sse2.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_ssse3/av1_quantize_ssse3_x86_64.asm.o
[ 87%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_high_subpixel_8t_sse2.asm.o
[ 88%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_ssse3/av1_quantize_ssse3_x86_64.asm.o
[ 88%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_high_subpixel_bilinear_sse2.asm.o
[ 88%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_subpixel_8t_sse2.asm.o
[ 88%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_subpixel_bilinear_sse2.asm.o
[ 89%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_high_subpixel_8t_sse2.asm.o
[ 89%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/highbd_intrapred_asm_sse2.asm.o
[ 89%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/highbd_intrapred_asm_sse2.asm.o
[ 89%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/intrapred_asm_sse2.asm.o
[ 89%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/intrapred_asm_sse2.asm.o
[ 89%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/inv_wht_sse2.asm.o
[ 90%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/inv_wht_sse2.asm.o
[ 91%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_ssse3/aom_subpixel_8t_ssse3.asm.o
[ 91%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_ssse3/aom_subpixel_8t_ssse3.asm.o
[ 91%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_ssse3/aom_subpixel_bilinear_ssse3.asm.o
[ 91%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_sad4d_sse2.asm.o
[ 91%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_ssse3/aom_subpixel_bilinear_ssse3.asm.o
[ 91%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_sad4d_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_sad_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_sad_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_subpel_variance_impl_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_subpel_variance_impl_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_variance_impl_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/sad4d_sse2.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/sad_sse2.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/ssim_sse2_x86_64.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/subpel_variance_sse2.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/subtract_sse2.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_ssse3/fwd_txfm_ssse3_x86_64.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_variance_impl_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/sad4d_sse2.asm.o
[ 95%] Building C object CMakeFiles/aom.dir/aom/src/aom_codec.c.o
[ 95%] Building C object CMakeFiles/aom.dir/aom/src/aom_decoder.c.o
[ 95%] Building C object CMakeFiles/aom.dir/config/aom_config.c.o
[ 95%] Building C object CMakeFiles/aom.dir/aom/src/aom_encoder.c.o
[ 95%] Building C object CMakeFiles/aom.dir/aom/src/aom_image.c.o
[ 96%] Building C object CMakeFiles/aom.dir/aom/src/aom_integer.c.o
[ 96%] Linking C shared library libaom.so
[ 96%] Built target aom
[ 96%] Building C object CMakeFiles/aom_static.dir/config/aom_config.c.o
[ 97%] Building C object CMakeFiles/aom_static.dir/aom/src/aom_encoder.c.o
[ 97%] Building C object CMakeFiles/aom_static.dir/aom/src/aom_codec.c.o
[ 97%] Building C object CMakeFiles/aom_static.dir/aom/src/aom_decoder.c.o
[ 97%] Building C object CMakeFiles/aom_static.dir/aom/src/aom_image.c.o
[ 97%] Building C object CMakeFiles/aom_static.dir/aom/src/aom_integer.c.o
[ 97%] Linking C static library libaom.a
[100%] Built target aom_static
[ 66%] Performing install step for 'libaom'
Consolidate compiler generated dependencies of target yuv
[  0%] Updating version info if necessary.
[  1%] Built target generate_exports
[  5%] Built target yuv
[  5%] Built target aom_version_check
Consolidate compiler generated dependencies of target aom_version
[  6%] Built target aom_version
Consolidate compiler generated dependencies of target aom_pc
Consolidate compiler generated dependencies of target aom_rtcd
[  6%] Built target aom_pc
[  8%] Built target aom_rtcd
Consolidate compiler generated dependencies of target aom_dsp_encoder_sse2
Consolidate compiler generated dependencies of target aom_dsp_encoder_ssse3
Consolidate compiler generated dependencies of target aom_av1_encoder_avx2_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_sse4_intrinsics
[  9%] Built target aom_dsp_encoder_ssse3
[ 10%] Built target aom_dsp_encoder_sse2
Consolidate compiler generated dependencies of target aom_dsp_common_sse2_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_encoder
[ 14%] Built target aom_av1_encoder_avx2_intrinsics
[ 17%] Built target aom_dsp_common_sse2_intrinsics
[ 21%] Built target aom_dsp_encoder
[ 23%] Built target aom_av1_encoder_sse4_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_common_ssse3
Consolidate compiler generated dependencies of target aom_av1_common_avx2_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_encoder_sse2_intrinsics
[ 23%] Built target aom_dsp_common_ssse3
Consolidate compiler generated dependencies of target aom_dsp_common_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_common
[ 25%] Built target aom_dsp_encoder_sse2_intrinsics
[ 26%] Built target aom_dsp_common_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_encoder_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_sse42_intrinsics
[ 29%] Built target aom_dsp_common
[ 33%] Built target aom_av1_common_avx2_intrinsics
[ 33%] Built target aom_av1_encoder_sse42_intrinsics
Consolidate compiler generated dependencies of target aom_mem
[ 34%] Built target aom_dsp_encoder_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_dsp
Consolidate compiler generated dependencies of target aom_av1_decoder
[ 35%] Built target aom_mem
[ 36%] Built target aom_dsp
Consolidate compiler generated dependencies of target aom_av1_common_sse4_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_common_sse4_1_intrinsics
[ 38%] Built target aom_av1_decoder
[ 39%] Built target aom_dsp_common_sse4_1_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_encoder_sse4_1_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_encoder_avx_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder
[ 40%] Built target aom_dsp_encoder_sse4_1_intrinsics
[ 40%] Built target aom_dsp_encoder_avx_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_common_avx2_intrinsics
[ 43%] Built target aom_av1_common_sse4_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_sse3_intrinsics
[ 45%] Built target aom_dsp_common_avx2_intrinsics
[ 45%] Built target aom_av1_encoder_sse3_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_encoder_avx2_intrinsics
Consolidate compiler generated dependencies of target aom_util
Consolidate compiler generated dependencies of target aom_dsp_decoder
[ 46%] Built target aom_util
[ 47%] Built target aom_dsp_decoder
Consolidate compiler generated dependencies of target aom_scale
Consolidate compiler generated dependencies of target aom_av1_common
[ 48%] Built target aom_scale
Consolidate compiler generated dependencies of target aom_av1_common_sse2_intrinsics
[ 52%] Built target aom_dsp_encoder_avx2_intrinsics
[ 54%] Built target aom_av1_common_sse2_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_sse2_intrinsics
[ 72%] Built target aom_av1_encoder
[ 80%] Built target aom_av1_common
Consolidate compiler generated dependencies of target aom_av1_common_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_sse2
[ 80%] Built target aom_av1_encoder_sse2
[ 80%] Built target aom_av1_encoder_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_dsp_common_sse2
[ 82%] Built target aom_av1_common_ssse3_intrinsics
Consolidate compiler generated dependencies of target aom_av1_encoder_ssse3
[ 82%] Built target aom_dsp_common_sse2
[ 85%] Built target aom_av1_encoder_sse2_intrinsics
[ 86%] Built target aom_av1_encoder_ssse3
Consolidate compiler generated dependencies of target aom
Consolidate compiler generated dependencies of target aom_static
[ 86%] Linking C shared library libaom.so
[ 93%] Built target aom_static
[100%] Built target aom
Install the project...
-- Install configuration: "RelWithDebInfo"
-- Installing: /usr/include/aom/aom.h
-- Installing: /usr/include/aom/aom_codec.h
-- Installing: /usr/include/aom/aom_frame_buffer.h
-- Installing: /usr/include/aom/aom_image.h
-- Installing: /usr/include/aom/aom_integer.h
-- Installing: /usr/include/aom/aom_decoder.h
-- Installing: /usr/include/aom/aomdx.h
-- Installing: /usr/include/aom/aomcx.h
-- Installing: /usr/include/aom/aom_encoder.h
-- Installing: /usr/include/aom/aom_external_partition.h
-- Installing: /usr/lib64/pkgconfig/aom.pc
-- Installing: /usr/lib64/libaom.so.3.3.0
-- Up-to-date: /usr/lib64/libaom.so.3
-- Up-to-date: /usr/lib64/libaom.so
-- Installing: /usr/lib64/libaom.a
[ 66%] Completed 'libaom'
[ 66%] Built target libaom
[100%] Creating directories for 'ext_libavif'
[100%] Performing download step (git clone) for 'ext_libavif'
Clonage dans 'ext_libavif'...
HEAD est maintenant sur ac76fe0 v0.9.3
[100%] No update step for 'ext_libavif'
[100%] No patch step for 'ext_libavif'
[100%] Performing configure step for 'ext_libavif'
-- The C compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- libavif: Enabling warnings for GCC
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Check if compiler accepts -pthread
-- Check if compiler accepts -pthread - yes
-- Found Threads: TRUE  
-- Checking for module 'libyuv'
--   Package 'libyuv', required by 'virtual:world', not found
-- libavif: libyuv not found; libyuv-based fast paths disabled.
-- libavif: Codec enabled: aom (encode/decode)
-- Checking for module 'aom'
--   Found aom, version 3.3.0
-- Found aom: /usr/lib64/libaom.so (found version "3.3.0") 
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    BUILD_TESTING


-- Build files have been written to: /b/ext_libavif/ext_libavif-prefix/src/ext_libavif
[100%] Performing build step for 'ext_libavif'
[ 11%] Building C object CMakeFiles/avif.dir/src/avif.c.o
[ 11%] Building C object CMakeFiles/avif.dir/src/alpha.c.o
[ 23%] Building C object CMakeFiles/avif.dir/src/colr.c.o
[ 23%] Building C object CMakeFiles/avif.dir/src/diag.c.o
[ 29%] Building C object CMakeFiles/avif.dir/src/io.c.o
[ 35%] Building C object CMakeFiles/avif.dir/src/mem.c.o
[ 41%] Building C object CMakeFiles/avif.dir/src/obu.c.o
[ 47%] Building C object CMakeFiles/avif.dir/src/rawdata.c.o
[ 52%] Building C object CMakeFiles/avif.dir/src/read.c.o
[ 58%] Building C object CMakeFiles/avif.dir/src/reformat.c.o
[ 64%] Building C object CMakeFiles/avif.dir/src/reformat_libyuv.c.o
[ 70%] Building C object CMakeFiles/avif.dir/src/scale.c.o
[ 76%] Building C object CMakeFiles/avif.dir/src/stream.c.o
[ 82%] Building C object CMakeFiles/avif.dir/src/utils.c.o
[ 88%] Building C object CMakeFiles/avif.dir/src/write.c.o
[ 94%] Building C object CMakeFiles/avif.dir/src/codec_aom.c.o
[100%] Linking C shared library libavif.so
[100%] Built target avif
[100%] Performing install step for 'ext_libavif'
Install the project...
-- Install configuration: "RelWithDebInfo"
-- Installing: /usr/lib64/libavif.so.13.0.0
-- Up-to-date: /usr/lib64/libavif.so.13
-- Up-to-date: /usr/lib64/libavif.so
-- Installing: /usr/lib64/cmake/libavif/libavif-config.cmake
-- Installing: /usr/lib64/cmake/libavif/libavif-config-relwithdebinfo.cmake
-- Installing: /usr/lib64/cmake/libavif/libavif-config-version.cmake
-- Installing: /usr/lib64/pkgconfig/libavif.pc
-- Installing: /usr/include/avif/avif.h
[100%] Completed 'ext_libavif'
[100%] Built target ext_libavif

The only missing component is libyuv for libavif, but as i can read, it's optional...

Gilles
Comment 22 dnovomesky 2022-03-09 07:57:10 UTC
I tried
digiKam-7.7.0-20220308T170030-Win64-debug.exe

Opening and saving AVIF works, I just had to add avif into the list of Additional image file extensions.

libyuv is indeed optional, it can accelerate decoding process.
Comment 23 caulier.gilles 2022-03-09 07:59:07 UTC
Compilation trace of KImageFormats for AppImage with AVIF support:

-- extracting...
     src='/d/kimageformats-5.90.0.tar.xz'
     dst='/b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats'
-- extracting... [tar xfz]
-- extracting... [analysis]
-- extracting... [rename]
-- extracting... [clean up]
-- extracting... done
[  0%] No update step for 'ext_kimageformats'
[  0%] No patch step for 'ext_kimageformats'
[  0%] Performing configure step for 'ext_kimageformats'
-- The C compiler identification is GNU 8.4.0
-- The CXX compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- 

-- Installing in the same prefix as Qt, adopting their path scheme.
-- Looking for __GLIBC__
-- Looking for __GLIBC__ - found
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_DATE_TIME
-- Performing Test HAVE_DATE_TIME - Success
-- Performing Test BSYMBOLICFUNCTIONS_AVAILABLE
-- Performing Test BSYMBOLICFUNCTIONS_AVAILABLE - Success
fatal: ni ceci ni aucun de ses répertoires parents n'est un dépôt git : .git
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.6.1") 
-- Found OpenEXR: /usr/lib64/libIlmImf.so (found version "2.3.0") 
-- Checking for module 'libjxl>=0.6.1'
--   Found libjxl, version 0.6.1
-- Checking for module 'libjxl_threads>=0.6.1'
--   Found libjxl_threads, version 0.6.1
-- The following features have been enabled:

 * LibJXL, required for the QImage plugin for JPEG XL images

-- The following OPTIONAL packages have been found:

 * Qt5Core (required version >= 5.15.2)
 * KF5Archive
   Required for the QImage plugin for Krita and OpenRaster images
 * Qt5Widgets (required version >= 5.15.3)
 * Qt5PrintSupport (required version >= 5.15.2)
   Required for the QImage plugin for EPS images
 * OpenEXR, A library for handling OpenEXR high dynamic-range image files, <https://www.openexr.com/>
   Required for the QImage plugin for OpenEXR images
 * libavif (required version >= 0.8.2)
   Required for the QImage plugin for AVIF images

-- The following REQUIRED packages have been found:

 * ECM (required version >= 5.90.0), Extra CMake Modules., <https://commits.kde.org/extra-cmake-modules>
 * Qt5Gui (required version >= 5.15.2)

-- The following features have been disabled:

 * LibHeif, required for the QImage plugin for HEIF/HEIC images

-- Configuring done
-- Generating done
-- Build files have been written to: /b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats-build
[  0%] Performing build step for 'ext_kimageformats'
[  3%] Automatic MOC for target kimg_hdr
[  5%] Automatic MOC for target kimg_ani
[  5%] Automatic MOC for target kimg_jxl
[  6%] Automatic MOC for target kimg_eps
[  6%] Built target kimg_hdr_autogen
[  6%] Built target kimg_ani_autogen
[  6%] Built target kimg_eps_autogen
[  8%] Automatic MOC for target kimg_avif
[ 10%] Automatic MOC for target kimg_pcx
[ 11%] Built target kimg_jxl_autogen
[ 11%] Automatic MOC for target kimg_pic
[ 13%] Automatic MOC for target kimg_psd
[ 13%] Built target kimg_avif_autogen
[ 13%] Built target kimg_pic_autogen
[ 15%] Automatic MOC for target kimg_ras
[ 15%] Built target kimg_psd_autogen
[ 16%] Automatic MOC for target kimg_exr
[ 16%] Built target kimg_pcx_autogen
[ 18%] Automatic MOC for target kimg_rgb
[ 20%] Automatic MOC for target kimg_tga
[ 20%] Built target kimg_ras_autogen
[ 21%] Automatic MOC for target kimg_kra
[ 21%] Built target kimg_rgb_autogen
[ 21%] Built target kimg_exr_autogen
[ 25%] Automatic MOC for target kimg_xcf
[ 25%] Automatic MOC for target kimg_ora
[ 25%] Built target kimg_tga_autogen
[ 26%] Building CXX object src/imageformats/CMakeFiles/kimg_jxl.dir/kimg_jxl_autogen/mocs_compilation.cpp.o
[ 26%] Built target kimg_kra_autogen
[ 28%] Building CXX object src/imageformats/CMakeFiles/kimg_hdr.dir/kimg_hdr_autogen/mocs_compilation.cpp.o
[ 28%] Built target kimg_xcf_autogen
[ 28%] Built target kimg_ora_autogen
[ 30%] Building CXX object src/imageformats/CMakeFiles/kimg_hdr.dir/hdr.cpp.o
[ 31%] Building CXX object src/imageformats/CMakeFiles/kimg_eps.dir/kimg_eps_autogen/mocs_compilation.cpp.o
[ 33%] Building CXX object src/imageformats/CMakeFiles/kimg_eps.dir/eps.cpp.o
[ 35%] Building CXX object src/imageformats/CMakeFiles/kimg_ani.dir/kimg_ani_autogen/mocs_compilation.cpp.o
[ 36%] Building CXX object src/imageformats/CMakeFiles/kimg_jxl.dir/jxl.cpp.o
[ 38%] Linking CXX shared module ../../bin/imageformats/kimg_hdr.so
[ 38%] Built target kimg_hdr
[ 40%] Building CXX object src/imageformats/CMakeFiles/kimg_avif.dir/kimg_avif_autogen/mocs_compilation.cpp.o
[ 41%] Building CXX object src/imageformats/CMakeFiles/kimg_ani.dir/ani.cpp.o
[ 43%] Building CXX object src/imageformats/CMakeFiles/kimg_avif.dir/avif.cpp.o
[ 45%] Linking CXX shared module ../../bin/imageformats/kimg_jxl.so
[ 45%] Built target kimg_jxl
[ 46%] Building CXX object src/imageformats/CMakeFiles/kimg_pcx.dir/kimg_pcx_autogen/mocs_compilation.cpp.o
[ 48%] Linking CXX shared module ../../bin/imageformats/kimg_eps.so
[ 48%] Built target kimg_eps
[ 50%] Building CXX object src/imageformats/CMakeFiles/kimg_pic.dir/kimg_pic_autogen/mocs_compilation.cpp.o
[ 51%] Linking CXX shared module ../../bin/imageformats/kimg_ani.so
/b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats/src/imageformats/avif.cpp: Dans le constructeur « QAVIFHandler::QAVIFHandler() »:
/b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats/src/imageformats/avif.cpp:24:38: warning: zéro comme constante de pointeur nul [-Wzero-as-null-pointer-constant]
     , m_must_jump_to_next_image(false)
                                      ^
[ 51%] Built target kimg_ani
[ 53%] Building CXX object src/imageformats/CMakeFiles/kimg_pcx.dir/pcx.cpp.o
[ 55%] Building CXX object src/imageformats/CMakeFiles/kimg_psd.dir/kimg_psd_autogen/mocs_compilation.cpp.o
[ 56%] Building CXX object src/imageformats/CMakeFiles/kimg_pic.dir/pic.cpp.o
[ 58%] Linking CXX shared module ../../bin/imageformats/kimg_avif.so
[ 58%] Built target kimg_avif
[ 60%] Building CXX object src/imageformats/CMakeFiles/kimg_ras.dir/kimg_ras_autogen/mocs_compilation.cpp.o
[ 61%] Building CXX object src/imageformats/CMakeFiles/kimg_psd.dir/psd.cpp.o
Dans la fonction « QDataStream& operator<<(QDataStream&, const PicHeader&) »,
    mis en ligne depuis « virtual bool SoftimagePICHandler::write(const QImage&) » à /b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats/src/imageformats/pic.cpp:281:69:
/b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats/src/imageformats/pic.cpp:82:12: warning: la limite spécifiée par « char* strncpy(char*, const char*, size_t) » (80) est égale à la taille de la destination [-Wstringop-truncation]
     strncpy(comment, header.comment.constData(), sizeof(comment));
     ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/b/ext_kf5_frameworks/ext_kimageformats-prefix/src/ext_kimageformats/src/imageformats/pic.cpp:86:12: warning: la limite spécifiée par « char* strncpy(char*, const char*, size_t) » (4) est égale à la taille de la destination [-Wstringop-truncation]
     strncpy(id, header.id.constData(), sizeof(id));
     ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[ 63%] Building CXX object src/imageformats/CMakeFiles/kimg_ras.dir/ras.cpp.o
[ 65%] Linking CXX shared module ../../bin/imageformats/kimg_pic.so
[ 66%] Linking CXX shared module ../../bin/imageformats/kimg_pcx.so
[ 66%] Built target kimg_pcx
[ 68%] Building CXX object src/imageformats/CMakeFiles/kimg_exr.dir/kimg_exr_autogen/mocs_compilation.cpp.o
[ 68%] Built target kimg_pic
[ 70%] Building CXX object src/imageformats/CMakeFiles/kimg_rgb.dir/kimg_rgb_autogen/mocs_compilation.cpp.o
[ 71%] Linking CXX shared module ../../bin/imageformats/kimg_psd.so
[ 71%] Built target kimg_psd
[ 73%] Building CXX object src/imageformats/CMakeFiles/kimg_tga.dir/kimg_tga_autogen/mocs_compilation.cpp.o
[ 75%] Linking CXX shared module ../../bin/imageformats/kimg_ras.so
[ 75%] Built target kimg_ras
[ 76%] Building CXX object src/imageformats/CMakeFiles/kimg_kra.dir/kimg_kra_autogen/mocs_compilation.cpp.o
[ 78%] Building CXX object src/imageformats/CMakeFiles/kimg_exr.dir/exr.cpp.o
[ 80%] Building CXX object src/imageformats/CMakeFiles/kimg_rgb.dir/rgb.cpp.o
[ 81%] Building CXX object src/imageformats/CMakeFiles/kimg_tga.dir/tga.cpp.o
[ 83%] Building CXX object src/imageformats/CMakeFiles/kimg_kra.dir/kra.cpp.o
[ 85%] Linking CXX shared module ../../bin/imageformats/kimg_exr.so
[ 85%] Built target kimg_exr
[ 86%] Building CXX object src/imageformats/CMakeFiles/kimg_xcf.dir/kimg_xcf_autogen/mocs_compilation.cpp.o
[ 88%] Linking CXX shared module ../../bin/imageformats/kimg_rgb.so
[ 90%] Linking CXX shared module ../../bin/imageformats/kimg_tga.so
[ 90%] Built target kimg_rgb
[ 91%] Building CXX object src/imageformats/CMakeFiles/kimg_ora.dir/kimg_ora_autogen/mocs_compilation.cpp.o
[ 93%] Linking CXX shared module ../../bin/imageformats/kimg_kra.so
[ 93%] Built target kimg_tga
[ 95%] Building CXX object src/imageformats/CMakeFiles/kimg_xcf.dir/xcf.cpp.o
[ 95%] Built target kimg_kra
[ 96%] Building CXX object src/imageformats/CMakeFiles/kimg_ora.dir/ora.cpp.o
[ 98%] Linking CXX shared module ../../bin/imageformats/kimg_ora.so
[ 98%] Built target kimg_ora
[100%] Linking CXX shared module ../../bin/imageformats/kimg_xcf.so
[100%] Built target kimg_xcf
[100%] Performing install step for 'ext_kimageformats'
[  1%] Automatic MOC for target kimg_hdr
[  6%] Automatic MOC for target kimg_eps
[  6%] Automatic MOC for target kimg_ani
[  6%] Automatic MOC for target kimg_jxl
[  6%] Built target kimg_hdr_autogen
[  6%] Built target kimg_eps_autogen
[  6%] Built target kimg_jxl_autogen
[  6%] Built target kimg_ani_autogen
[  8%] Automatic MOC for target kimg_avif
[ 11%] Automatic MOC for target kimg_pic
[ 11%] Automatic MOC for target kimg_pcx
[ 13%] Automatic MOC for target kimg_psd
[ 13%] Built target kimg_avif_autogen
[ 13%] Built target kimg_pcx_autogen
[ 13%] Built target kimg_pic_autogen
[ 13%] Built target kimg_psd_autogen
[ 16%] Automatic MOC for target kimg_ras
[ 16%] Automatic MOC for target kimg_exr
[ 18%] Automatic MOC for target kimg_rgb
[ 20%] Automatic MOC for target kimg_tga
[ 20%] Built target kimg_exr_autogen
[ 20%] Built target kimg_ras_autogen
[ 20%] Built target kimg_rgb_autogen
[ 23%] Automatic MOC for target kimg_kra
[ 23%] Automatic MOC for target kimg_ora
[ 25%] Automatic MOC for target kimg_xcf
[ 25%] Built target kimg_tga_autogen
[ 25%] Built target kimg_kra_autogen
Consolidate compiler generated dependencies of target kimg_jxl
[ 25%] Built target kimg_ora_autogen
[ 25%] Built target kimg_xcf_autogen
Consolidate compiler generated dependencies of target kimg_hdr
Consolidate compiler generated dependencies of target kimg_eps
Consolidate compiler generated dependencies of target kimg_ani
[ 30%] Built target kimg_jxl
[ 35%] Built target kimg_hdr
[ 40%] Built target kimg_ani
Consolidate compiler generated dependencies of target kimg_avif
[ 45%] Built target kimg_eps
Consolidate compiler generated dependencies of target kimg_pic
Consolidate compiler generated dependencies of target kimg_pcx
Consolidate compiler generated dependencies of target kimg_psd
[ 50%] Built target kimg_pic
[ 55%] Built target kimg_avif
[ 60%] Built target kimg_pcx
Consolidate compiler generated dependencies of target kimg_ras
Consolidate compiler generated dependencies of target kimg_exr
Consolidate compiler generated dependencies of target kimg_rgb
[ 65%] Built target kimg_ras
[ 70%] Built target kimg_psd
Consolidate compiler generated dependencies of target kimg_tga
[ 75%] Built target kimg_rgb
Consolidate compiler generated dependencies of target kimg_kra
[ 80%] Built target kimg_exr
[ 85%] Built target kimg_tga
Consolidate compiler generated dependencies of target kimg_xcf
Consolidate compiler generated dependencies of target kimg_ora
[ 90%] Built target kimg_kra
[ 95%] Built target kimg_xcf
[100%] Built target kimg_ora
Install the project...
-- Install configuration: "RelWithDebInfo"
-- Installing: /usr/plugins/imageformats/kimg_ani.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/ani.desktop
-- Installing: /usr/plugins/imageformats/kimg_avif.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/avif.desktop
-- Up-to-date: /usr/share/kservices5/qimageioplugins/dds.desktop
-- Installing: /usr/plugins/imageformats/kimg_eps.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/eps.desktop
-- Up-to-date: /usr/share/kservices5/qimageioplugins/jp2.desktop
-- Installing: /usr/plugins/imageformats/kimg_exr.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/exr.desktop
-- Installing: /usr/plugins/imageformats/kimg_hdr.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/hdr.desktop
-- Installing: /usr/plugins/imageformats/kimg_jxl.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/jxl.desktop
-- Installing: /usr/plugins/imageformats/kimg_pcx.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/pcx.desktop
-- Installing: /usr/plugins/imageformats/kimg_pic.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/pic.desktop
-- Installing: /usr/plugins/imageformats/kimg_psd.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/psd.desktop
-- Installing: /usr/plugins/imageformats/kimg_ras.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/ras.desktop
-- Installing: /usr/plugins/imageformats/kimg_rgb.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/rgb.desktop
-- Installing: /usr/plugins/imageformats/kimg_tga.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/tga.desktop
-- Installing: /usr/plugins/imageformats/kimg_xcf.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/xcf.desktop
-- Installing: /usr/plugins/imageformats/kimg_kra.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/kra.desktop
-- Installing: /usr/plugins/imageformats/kimg_ora.so
-- Up-to-date: /usr/share/kservices5/qimageioplugins/ora.desktop
[100%] Completed 'ext_kimageformats'
[100%] Built target ext_kimageformats
Comment 24 caulier.gilles 2022-03-09 08:01:54 UTC
Hi dnovomesky

So where is the problem under Linux AppImage. I'm lost...

How to turn on the  qWarning() messages from KF5 framework. I tried all i know, but nothing work...

Gilles
Comment 25 dnovomesky 2022-03-09 09:18:35 UTC
I don't know the real cause but I observed that inside digiKam-7.7.0-20220308T173410-x86-64.appimage there are two versions of libaom:
libaom.so.0 (this is probably very old version 1.0.0 used by libavcodec.so.58)
libaom.so.3 (this is libaom 3.3.0)

I am not sure whether there is some conflict with different libaom versions.
Comment 26 caulier.gilles 2022-03-09 09:46:42 UTC
yes, there are 2 libaom in the bundle. ldd help here :

[root@localhost imageformats]# ldd kimg_avif.so 
	linux-vdso.so.1 (0x00007ffe3a9d4000)
	libQt5Gui.so.5 => /lib/libQt5Gui.so.5 (0x00007fee3c115000)
	libavif.so.13 => /lib64/libavif.so.13 (0x00007fee3c0f5000)
	libQt5Core.so.5 => /lib/libQt5Core.so.5 (0x00007fee3bafa000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fee3b974000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fee3b832000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fee3b818000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fee3b64c000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fee3b62b000)
	libGL.so.1 => /lib64/libGL.so.1 (0x00007fee3b5bb000)
	libaom.so.3 => /lib64/libaom.so.3 (0x00007fee3b019000)
	libicui18n.so.63 => /lib64/libicui18n.so.63 (0x00007fee3ad51000)
	libicuuc.so.63 => /lib64/libicuuc.so.63 (0x00007fee3ab88000)
	libicudata.so.63 => /lib64/libicudata.so.63 (0x00007fee3ab83000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fee3ab7e000)
	libzstd.so.1 => /lib64/libzstd.so.1 (0x00007fee3aae1000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fee3aadc000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fee3a9bd000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fee3c7ee000)
	libglapi.so.0 => /lib64/libglapi.so.0 (0x00007fee3a984000)
	libdrm.so.2 => /lib64/libdrm.so.2 (0x00007fee3a96e000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007fee3a830000)
	libxcb-glx.so.0 => /lib64/libxcb-glx.so.0 (0x00007fee3a815000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007fee3a7ed000)
	libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007fee3a7e8000)
	libxcb-dri2.so.0 => /lib64/libxcb-dri2.so.0 (0x00007fee3a7e2000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007fee3a7cc000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007fee3a7c4000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007fee3a7bf000)
	libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007fee3a7b8000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fee3a77c000)
	libxcb-dri3.so.0 => /lib64/libxcb-dri3.so.0 (0x00007fee3a776000)
	libxcb-present.so.0 => /lib64/libxcb-present.so.0 (0x00007fee3a76f000)
	libxcb-sync.so.1 => /lib64/libxcb-sync.so.1 (0x00007fee3a766000)
	libxshmfence.so.1 => /lib64/libxshmfence.so.1 (0x00007fee3a761000)
	libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00007fee3a758000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fee3a6e6000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007fee3a6df000)
	libXdmcp.so.6 => /lib64/libXdmcp.so.6 (0x00007fee3a6d7000)
	libbsd.so.0 => /lib64/libbsd.so.0 (0x00007fee3a6be000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fee3a6b3000)

So the KImageFormats AVIF plugin point on the right version.
Comment 27 caulier.gilles 2022-03-09 09:48:07 UTC
libavif from the bundle point also on the right libaom version :

[root@localhost lib64]# ldd libavif.so.13 
	linux-vdso.so.1 (0x00007ffffcff9000)
	libaom.so.3 => /lib64/libaom.so.3 (0x00007faffcfd3000)
	libm.so.6 => /lib64/libm.so.6 (0x00007faffce91000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007faffce70000)
	libc.so.6 => /lib64/libc.so.6 (0x00007faffcca6000)
	/lib64/ld-linux-x86-64.so.2 (0x00007faffd5bb000)
Comment 28 caulier.gilles 2022-03-09 09:50:29 UTC
And yes, it's ffmpeg comming from the linux host which use the older AOM lib:

[root@localhost lib64]# ldd libavformat.so.58 | grep aom
	libaom.so.0 => /lib64/libaom.so.0 (0x00007fbbd0e42000)

So for me no cpossible conflict at run-time, else a crash will appear as both libaom are really different.

Gilles
Comment 29 dnovomesky 2022-03-09 10:16:22 UTC
When I copied these 3 files from extracted appimage:
kimg_avif.so
libavif.so.13
libaom.so.3

the plugin worked fine in gwenview.
So it works outside appimage.

Are you willing to make an experiment?

Try to build manually my plug-in from https://github.com/novomesk/qt-avif-image-plugin
run ./build_libqavif_static.sh
It will make a local static build libqavif.so in plugins/imageformats (dav1d, libaom, libyuv will be bundled inside)

Try to remove kimg_avif.so, libavif.so.13, libaom.so.3 and put libqavif.so into the folder where kimg_avif.so was located.
Comment 30 caulier.gilles 2022-03-09 10:22:43 UTC
If i remove libaom.so.0 from the bundle, of course it crash:

[gilles@localhost pipo]$ ./AppRun
-- digiKam Linux AppImage Bundle
-- Use 'help' as CLI argument to know all available options for digiKam application.
-- Notes: to integrate this bundle to your desktop, use AppImageLauncher.
--        to enable all debug messages on the console, use 'export QT_LOGGING_RULES="digikam*=true"'.
Check library libudev.so.0
Check library libxcb-dri3.so.0
Check library libcrypto.so.1.1
Check library libssl.so.1.1
Check library libnss3.so
Check library libnssutil3.so
Check library libsmime3.so
-- Preloading shared libs: :/usr/lib64/libxcb-dri3.so.0:/usr/lib64/libcrypto.so.1.1:/usr/lib64/libssl.so.1.1:/usr/lib64/libnss3.so:/usr/lib64/libnssutil3.so:/usr/lib64/libsmime3.so
digikam: error while loading shared libraries: libaom.so.0: cannot open shared object file: No such file or directory

... but if i create a symlink like this :

ln -s libaom.so.3 libaom.so.0

digiKam starts and export to AVIF work as expected from Image Editor !!!

So if a guru can explain to me why the loader is not able to mix different versions of a library at run-time, well i can offer a beer, because this combination is technically possible. Or perhaps it's a limitation of AppImage, i don't know...

Gilles
Comment 31 caulier.gilles 2022-03-09 10:29:34 UTC
Git commit 349c15e545608403a406df47026a8a921cb74d31 by Gilles Caulier.
Committed on 09/03/2022 at 10:27.
Pushed by cgilles into branch 'qt5-maintenance'.

do not mix both libaom shared lib in the bundle

M  +5    -0    project/bundles/appimage/04-build-appimage.sh

https://invent.kde.org/graphics/digikam/commit/349c15e545608403a406df47026a8a921cb74d31
Comment 32 caulier.gilles 2022-03-09 10:44:19 UTC
An ideal solution was to build libavif with a static version of libaom...

Gilles
Comment 33 dnovomesky 2022-03-09 10:47:13 UTC
I don't know if such hack with deleting old libaom is OK. I am worried what will happen when someone tries to play some movie with AV1 codec?

Wouldn't be better to rebuild ffmpeg so it will use the new libaom?
Comment 34 dnovomesky 2022-03-09 10:50:11 UTC
(In reply to caulier.gilles from comment #32)
> An ideal solution was to build libavif with a static version of libaom...
> 
> Gilles

This is how I build static version of libaom inside libavif:
https://github.com/novomesk/qt-avif-image-plugin/blob/master/ext/build_local_libaom_libavif.sh#L32

It must be inside ext/aom/build.libavif/ folder and the -DCONFIG_PIC=1 is very important!
Comment 35 caulier.gilles 2022-03-09 11:02:28 UTC
yes, sure, the removed libaom.so.0 will certainly break ffmpeg, but, as this lib is very old, i'm sure that loading AVIF file in ffmpeg will not work as expected...

Rebuild ffmpeg instead to use linux appimage build host is also something that i planned, but it's more complex cmake rules to code and test.

So the static libaom is the right way to go as a quick solution.

Gilles
Comment 36 caulier.gilles 2022-03-09 13:05:28 UTC
Git commit dd75814d2dbefdf330d48599ae3446dda96387b6 by Gilles Caulier.
Committed on 09/03/2022 at 13:04.
Pushed by cgilles into branch 'qt5-maintenance'.

AppImage: build AOM static and AVIF as shared to prevent conflict with host system libaom

M  +21   -3    project/bundles/3rdparty/ext_libavif/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/dd75814d2dbefdf330d48599ae3446dda96387b6
Comment 37 caulier.gilles 2022-03-09 13:06:46 UTC
Et voilà :

[  0%] Creating directories for 'libaom'
[  0%] Performing download step (git clone) for 'libaom'
Clonage dans 'libaom'...
HEAD est maintenant sur 87460cef8 Replace AOM_EXT_PART_ABI_VERSION with old value
[ 33%] No update step for 'libaom'
[ 33%] No patch step for 'libaom'
[ 66%] Performing configure step for 'libaom'
-- The C compiler identification is GNU 8.4.0
-- The CXX compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found Git: /usr/bin/git (found version "2.21.4") 
-- Found Perl: /usr/bin/perl (found version "5.28.3") 
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
--- aom_configure: Detected CPU: x86_64
Running C compiler test: inline_check_1
-- Performing Test C_TEST_COMPILED
-- Performing Test C_TEST_COMPILED - Success
Running CXX compiler test: inline_check_1
-- Performing Test CXX_TEST_COMPILED
-- Performing Test CXX_TEST_COMPILED - Success
Running C compiler test: unistd_check
-- Performing Test C_TEST_COMPILED
-- Performing Test C_TEST_COMPILED - Success
Running CXX compiler test: unistd_check
-- Performing Test CXX_TEST_COMPILED
-- Performing Test CXX_TEST_COMPILED - Success
Running C compiler test: fenv_check
-- Performing Test C_TEST_COMPILED
-- Performing Test C_TEST_COMPILED - Success
Checking C compiler flag support for: -std=c99
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -std=c++11
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -Wall
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wall
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wdisabled-optimization
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wdisabled-optimization
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wextra
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wextra
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wfloat-conversion
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wfloat-conversion
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wformat=2
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wformat=2
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wimplicit-function-declaration
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wlogical-op
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wlogical-op
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wpointer-arith
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wpointer-arith
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wshorten-64-to-32
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Failed
Checking C++ compiler flag support for: -Wshorten-64-to-32
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Failed
Checking C compiler flag support for: -Wsign-compare
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wsign-compare
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wstring-conversion
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Failed
Checking C++ compiler flag support for: -Wstring-conversion
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Failed
Checking C compiler flag support for: -Wtype-limits
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wtype-limits
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wuninitialized
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wuninitialized
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wunused
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wunused
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wvla
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wvla
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wstack-usage=100000
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -Wstack-usage=240000
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wshadow
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -Wundef
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -D_LARGEFILE_SOURCE
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -D_LARGEFILE_SOURCE
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
Checking C compiler flag support for: -D_FILE_OFFSET_BITS=64
-- Performing Test C_FLAG_SUPPORTED
-- Performing Test C_FLAG_SUPPORTED - Success
Checking C++ compiler flag support for: -D_FILE_OFFSET_BITS=64
-- Performing Test CXX_FLAG_SUPPORTED
-- Performing Test CXX_FLAG_SUPPORTED - Success
-- Found PythonInterp: /usr/bin/python (found version "2.7.18") 
-- Performing Test FLAG_SUPPORTED
-- Performing Test FLAG_SUPPORTED - Success
Checking C compiler flag support for: -msse2
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse2
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -msse3
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse3
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -mssse3
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -mssse3
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -msse4.1
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse4.1
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -msse4.2
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -msse4.2
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
Checking C compiler flag support for: -mavx2
-- Performing Test HAVE_C_FLAG
-- Performing Test HAVE_C_FLAG - Success
Checking C compiler flag support for: -mavx2
-- Performing Test HAVE_CXX_FLAG
-- Performing Test HAVE_CXX_FLAG - Success
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    BUILD_TESTING


-- Build files have been written to: /b/ext_libavif/libaom-prefix/src/libaom-build
[ 66%] Performing build step for 'libaom'
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/convert_argb.cc.o
[  1%] Updating version info if necessary.
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/cpu_id.cc.o
[  1%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/planar_functions.cc.o
[  1%] Built target aom_version_check
[  1%] Building C object CMakeFiles/aom_version.dir/gen_src/aom_version_dummy.c.o
[  1%] Linking C static library libaom_version.a
[  2%] Built target aom_version
[  2%] Building C object CMakeFiles/aom_rtcd.dir/aom_dsp/aom_dsp_rtcd.c.o
[  2%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_any.cc.o
[  3%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_common.cc.o
[  3%] Building C object CMakeFiles/aom_rtcd.dir/aom_scale/aom_scale_rtcd.c.o
[  4%] Building C object CMakeFiles/aom_rtcd.dir/av1/common/av1_rtcd.c.o
[  4%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_gcc.cc.o
[  5%] Built target aom_rtcd
[  6%] Writing aom.pc
[  6%] Building C object CMakeFiles/aom_pc.dir/gen_src/aom_pc_dummy.c.o
[  6%] Linking C static library libaom_pc.a
[  6%] Built target aom_pc
[  6%] Building C object CMakeFiles/aom_av1_encoder_ssse3.dir/gen_src/aom_av1_encoder_ssse3_dummy.c.o
[  6%] Linking C static library libaom_av1_encoder_ssse3.a
[  6%] Built target aom_av1_encoder_ssse3
[  6%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_mips.cc.o
[  7%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_neon.cc.o
[  7%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_neon64.cc.o
[  7%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/row_win.cc.o
[  7%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale.cc.o
[  7%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_quantize_avx2.c.o
[  8%] Building C object CMakeFiles/aom_dsp_common_ssse3_intrinsics.dir/aom_dsp/x86/aom_subpixel_8t_intrin_ssse3.c.o
[  8%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_highbd_quantize_avx2.c.o
[  9%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_any.cc.o
[  9%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_common.cc.o
[ 10%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/corner_match_avx2.c.o
[ 10%] Building C object CMakeFiles/aom_dsp_common_ssse3_intrinsics.dir/aom_dsp/x86/highbd_convolve_ssse3.c.o
[ 10%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_gcc.cc.o
[ 10%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/error_intrin_avx2.c.o
[ 10%] Building C object CMakeFiles/aom_dsp_common_ssse3_intrinsics.dir/aom_dsp/x86/intrapred_ssse3.c.o
[ 10%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_mips.cc.o
[ 11%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_neon.cc.o
[ 11%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_neon64.cc.o
[ 11%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_win.cc.o
[ 12%] Building CXX object CMakeFiles/yuv.dir/third_party/libyuv/source/scale_uv.cc.o
[ 12%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/aom_convolve.c.o
[ 12%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/highbd_block_error_intrin_avx2.c.o
[ 12%] Built target yuv
[ 12%] Building C object CMakeFiles/aom_dsp_encoder_ssse3.dir/gen_src/aom_dsp_encoder_ssse3_dummy.c.o
[ 13%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/bitreader_buffer.c.o
[ 13%] Linking C static library libaom_dsp_encoder_ssse3.a
[ 13%] Built target aom_dsp_encoder_ssse3
[ 14%] Building C object CMakeFiles/aom_dsp_encoder_sse2.dir/gen_src/aom_dsp_encoder_sse2_dummy.c.o
[ 14%] Linking C static library libaom_dsp_encoder_sse2.a
[ 14%] Built target aom_dsp_encoder_sse2
[ 14%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/bitwriter_buffer.c.o
[ 14%] Building C object CMakeFiles/aom_dsp_common_sse2.dir/gen_src/aom_dsp_common_sse2_dummy.c.o
[ 14%] Linking C static library libaom_dsp_common_sse2.a
[ 14%] Built target aom_dsp_common_sse2
[ 14%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/binary_codes_writer.c.o
[ 14%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/blend_a64_hmask.c.o
[ 15%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/bitwriter.c.o
[ 15%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/blk_sse_sum.c.o
[ 16%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/blend_a64_mask.c.o
[ 17%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm2d_avx2.c.o
[ 17%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/entenc.c.o
[ 17%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/fwd_txfm.c.o
[ 17%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/blend_a64_vmask.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/grain_table.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/entcode.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/noise_model.c.o
[ 18%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/fft.c.o
[ 18%] Built target aom_dsp_common_ssse3_intrinsics
[ 19%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/aom_convolve_copy_sse2.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/intrapred.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/noise_util.c.o
[ 20%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/aom_subpixel_8t_intrin_sse2.c.o
[ 21%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/psnr.c.o
[ 21%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/aom_asm_stubs.c.o
[ 21%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/quantize.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/fft_sse2.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sad.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/highbd_convolve_sse2.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/highbd_intrapred_sse2.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/highbd_loopfilter_sse2.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/loopfilter.c.o
[ 22%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sad_av1.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/intrapred_sse2.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/odintrin.c.o
[ 23%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/subtract.c.o
[ 24%] Building C object CMakeFiles/aom_dsp_common.dir/aom_dsp/avg.c.o
[ 24%] Built target aom_dsp_common
[ 24%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/cdef_block_avx2.c.o
[ 24%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/loopfilter_sse2.c.o
[ 25%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sse.c.o
[ 25%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/ssim.c.o
[ 25%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/highbd_fwd_txfm_avx2.c.o
[ 25%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/sum_squares.c.o
[ 25%] Building C object CMakeFiles/aom_dsp_encoder.dir/aom_dsp/variance.c.o
[ 25%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/av1_inv_txfm_avx2.c.o
[ 25%] Building C object CMakeFiles/aom_dsp_common_sse2_intrinsics.dir/aom_dsp/x86/avg_intrin_sse2.c.o
[ 25%] Built target aom_dsp_common_sse2_intrinsics
[ 25%] Building C object CMakeFiles/aom_dsp_common_ssse3.dir/gen_src/aom_dsp_common_ssse3_dummy.c.o
[ 25%] Linking C static library libaom_dsp_common_ssse3.a
[ 25%] Built target aom_dsp_common_ssse3
[ 25%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/fwd_txfm_sse2.c.o
[ 25%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_quantize_intrin_sse2.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_subtract_sse2.c.o
[ 26%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/wedge_utils_avx2.c.o
[ 26%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_variance_sse2.c.o
[ 26%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/encodetxb_avx2.c.o
[ 27%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/rdopt_avx2.c.o
[ 27%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/av1_k_means_avx2.c.o
[ 27%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/quantize_sse2.c.o
[ 27%] Built target aom_dsp_encoder
[ 27%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/adaptive_quantize_sse2.c.o
[ 27%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/temporal_filter_avx2.c.o
[ 28%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/highbd_adaptive_quantize_sse2.c.o
[ 28%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/blk_sse_sum_sse2.c.o
[ 28%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/sum_squares_sse2.c.o
[ 29%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/cfl_avx2.c.o
[ 29%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/highbd_temporal_filter_avx2.c.o
[ 29%] Building C object CMakeFiles/aom_dsp_encoder_sse2_intrinsics.dir/aom_dsp/x86/variance_sse2.c.o
[ 29%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/convolve_2d_avx2.c.o
[ 29%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/convolve_avx2.c.o
[ 30%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/pickrst_avx2.c.o
[ 30%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_convolve_2d_avx2.c.o
[ 31%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_inv_txfm_avx2.c.o
[ 31%] Built target aom_dsp_encoder_sse2_intrinsics
[ 31%] Building C object CMakeFiles/aom_dsp.dir/gen_src/aom_av1_dummy.c.o
[ 31%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_jnt_convolve_avx2.c.o
[ 31%] Building C object CMakeFiles/aom_dsp.dir/gen_src/aom_dsp_dummy.c.o
[ 31%] Built target aom_dsp
[ 32%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/av1_dx_iface.c.o
[ 32%] Building C object CMakeFiles/aom_av1_encoder_avx2_intrinsics.dir/av1/encoder/x86/cnn_avx2.c.o
[ 32%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decodeframe.c.o
[ 32%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_wiener_convolve_avx2.c.o
[ 32%] Built target aom_av1_encoder_avx2_intrinsics
[ 32%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/cdef_block_sse4.c.o
[ 32%] Building C object CMakeFiles/aom_dsp_common_sse4_1_intrinsics.dir/aom_dsp/x86/blend_a64_hmask_sse4.c.o
[ 33%] Building C object CMakeFiles/aom_dsp_common_sse4_1_intrinsics.dir/aom_dsp/x86/blend_a64_mask_sse4.c.o
[ 33%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/av1_convolve_horiz_rs_sse4.c.o
[ 33%] Building C object CMakeFiles/aom_dsp_common_sse4_1_intrinsics.dir/aom_dsp/x86/blend_a64_vmask_sse4.c.o
[ 33%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/av1_convolve_scale_sse4.c.o
[ 33%] Built target aom_dsp_common_sse4_1_intrinsics
[ 34%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/av1_txfm_sse4.c.o
[ 34%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/highbd_warp_affine_avx2.c.o
[ 34%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/filterintra_sse4.c.o
[ 34%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_convolve_2d_sse4.c.o
[ 35%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/jnt_convolve_avx2.c.o
[ 35%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decodemv.c.o
[ 36%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_inv_txfm_sse4.c.o
[ 36%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_jnt_convolve_sse4.c.o
[ 36%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decoder.c.o
[ 36%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/reconinter_avx2.c.o
[ 36%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/selfguided_avx2.c.o
[ 37%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/warp_plane_avx2.c.o
[ 37%] Building C object CMakeFiles/aom_av1_common_avx2_intrinsics.dir/av1/common/x86/wiener_convolve_avx2.c.o
[ 38%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/decodetxb.c.o
[ 38%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/detokenize.c.o
[ 38%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/grain_synthesis.c.o
[ 38%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/highbd_warp_plane_sse4.c.o
[ 38%] Built target aom_av1_common_avx2_intrinsics
[ 38%] Building C object CMakeFiles/aom_av1_decoder.dir/av1/decoder/obu.c.o
[ 39%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/av1_cx_iface.c.o
[ 39%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/intra_edge_sse4.c.o
[ 40%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/reconinter_sse4.c.o
[ 40%] Built target aom_av1_decoder
[ 40%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm1d_sse4.c.o
[ 40%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/selfguided_sse4.c.o
[ 40%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/aq_complexity.c.o
[ 40%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/aq_cyclicrefresh.c.o
[ 41%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/aq_variance.c.o
[ 41%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm2d_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/av1_highbd_quantize_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/allintra_vis.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/corner_match_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_fwd_txfm1d.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/encodetxb_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_fwd_txfm2d.c.o
[ 42%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/highbd_fwd_txfm_sse4.c.o
[ 42%] Building C object CMakeFiles/aom_av1_common_sse4_intrinsics.dir/av1/common/x86/warp_plane_sse4.c.o
[ 43%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_quantize.c.o
[ 43%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/bitstream.c.o
[ 43%] Built target aom_av1_common_sse4_intrinsics
[ 44%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/highbd_variance_sse4.c.o
[ 44%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/cnn.c.o
[ 44%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/sse_sse4.c.o
[ 44%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/obmc_sad_sse4.c.o
[ 44%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/compound_type.c.o
[ 45%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/rdopt_sse4.c.o
[ 46%] Building C object CMakeFiles/aom_dsp_encoder_sse4_1_intrinsics.dir/aom_dsp/x86/obmc_variance_sse4.c.o
[ 46%] Building C object CMakeFiles/aom_av1_encoder_sse4_intrinsics.dir/av1/encoder/x86/pickrst_sse4.c.o
[ 47%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/context_tree.c.o
[ 47%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/corner_detect.c.o
[ 47%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/corner_match.c.o
[ 48%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/cost.c.o
[ 48%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodeframe.c.o
[ 48%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodeframe_utils.c.o
[ 48%] Built target aom_av1_encoder_sse4_intrinsics
[ 48%] Building C object CMakeFiles/aom_dsp_encoder_avx_intrinsics.dir/aom_dsp/x86/aom_quantize_avx.c.o
[ 48%] Built target aom_dsp_encoder_sse4_1_intrinsics
[ 48%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/aom_convolve_copy_avx2.c.o
[ 48%] Built target aom_dsp_encoder_avx_intrinsics
[ 48%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodemb.c.o
[ 48%] Building C object CMakeFiles/aom_av1_encoder_sse3_intrinsics.dir/av1/encoder/x86/ml_sse3.c.o
[ 48%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/aom_subpixel_8t_intrin_avx2.c.o
[ 48%] Built target aom_av1_encoder_sse3_intrinsics
[ 49%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodemv.c.o
[ 50%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/masked_sad_intrin_avx2.c.o
[ 50%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encode_strategy.c.o
[ 50%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encoder.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/fft_avx2.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/highbd_convolve_avx2.c.o
[ 51%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encoder_utils.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/subtract_avx2.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/highbd_loopfilter_avx2.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/intrapred_avx2.c.o
[ 51%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/highbd_quantize_intrin_avx2.c.o
[ 52%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/encodetxb.c.o
[ 52%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/adaptive_quantize_avx2.c.o
[ 53%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/highbd_adaptive_quantize_avx2.c.o
[ 53%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ethread.c.o
[ 53%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/extend.c.o
[ 54%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/external_partition.c.o
[ 54%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/firstpass.c.o
[ 54%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad4d_avx2.c.o
[ 54%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad_avx2.c.o
[ 54%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/global_motion.c.o
[ 54%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/global_motion_facade.c.o
[ 55%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad_highbd_avx2.c.o
[ 55%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sad_impl_avx2.c.o
[ 56%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/gop_structure.c.o
[ 56%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/hash.c.o
[ 56%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/hash_motion.c.o
[ 56%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/hybrid_fwd_txfm.c.o
[ 57%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/interp_search.c.o
[ 58%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/blend_a64_mask_avx2.c.o
[ 58%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/level.c.o
[ 58%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/variance_avx2.c.o
[ 58%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/lookahead.c.o
[ 58%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/mcomp.c.o
[ 58%] Building C object CMakeFiles/aom_dsp_common_avx2_intrinsics.dir/aom_dsp/x86/avg_intrin_avx2.c.o
[ 59%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ml.c.o
[ 59%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/highbd_variance_avx2.c.o
[ 60%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sse_avx2.c.o
[ 60%] Built target aom_dsp_common_avx2_intrinsics
[ 61%] Building C object CMakeFiles/aom_av1_encoder_sse42_intrinsics.dir/av1/encoder/x86/hash_sse42.c.o
[ 61%] Built target aom_av1_encoder_sse42_intrinsics
[ 61%] Building C object CMakeFiles/aom_mem.dir/aom_mem/aom_mem.c.o
[ 61%] Built target aom_mem
[ 61%] Building C object CMakeFiles/aom_util.dir/aom_util/aom_thread.c.o
[ 61%] Building C object CMakeFiles/aom_util.dir/aom_util/debug_util.c.o
[ 61%] Built target aom_util
[ 62%] Building C object CMakeFiles/aom_dsp_decoder.dir/aom_dsp/binary_codes_reader.c.o
[ 62%] Building C object CMakeFiles/aom_dsp_decoder.dir/aom_dsp/bitreader.c.o
[ 62%] Building C object CMakeFiles/aom_dsp_decoder.dir/aom_dsp/entdec.c.o
[ 62%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/variance_impl_avx2.c.o
[ 62%] Built target aom_dsp_decoder
[ 62%] Building C object CMakeFiles/aom_av1_common.dir/common/args_helper.c.o
[ 62%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/obmc_sad_avx2.c.o
[ 62%] Building C object CMakeFiles/aom_av1_common.dir/av1/arg_defs.c.o
[ 62%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/alloccommon.c.o
[ 63%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_inv_txfm1d.c.o
[ 63%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/obmc_variance_avx2.c.o
[ 64%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/blk_sse_sum_avx2.c.o
[ 64%] Building C object CMakeFiles/aom_dsp_encoder_avx2_intrinsics.dir/aom_dsp/x86/sum_squares_avx2.c.o
[ 64%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/aom_scale.c.o
[ 64%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/gen_scalers.c.o
[ 64%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/yv12config.c.o
[ 65%] Building C object CMakeFiles/aom_scale.dir/aom_scale/generic/yv12extend.c.o
[ 65%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/motion_search_facade.c.o
[ 65%] Built target aom_scale
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_inv_txfm2d.c.o
[ 65%] Built target aom_dsp_encoder_avx2_intrinsics
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_loopfilter.c.o
[ 65%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/av1_txfm.c.o
[ 65%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/mv_prec.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/blockd.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/cdef.c.o
[ 66%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/cdef_block.c.o
[ 67%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/cfl.c.o
[ 67%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/convolve.c.o
[ 67%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/debugmodes.c.o
[ 67%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/entropy.c.o
[ 68%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/entropymode.c.o
[ 68%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/entropymv.c.o
[ 69%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/palette.c.o
[ 69%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/frame_buffers.c.o
[ 69%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/idct.c.o
[ 70%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/mvref_common.c.o
[ 70%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/obu_util.c.o
[ 70%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/pred_common.c.o
[ 71%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/quant_common.c.o
[ 71%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/partition_search.c.o
[ 71%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/reconinter.c.o
[ 71%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/partition_strategy.c.o
[ 71%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/reconintra.c.o
[ 71%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/resize.c.o
[ 72%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/restoration.c.o
[ 72%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/scale.c.o
[ 72%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/pass2_strategy.c.o
[ 72%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/scan.c.o
[ 72%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/seg_common.c.o
[ 73%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/thread_common.c.o
[ 74%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/pickcdef.c.o
[ 74%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/picklpf.c.o
[ 74%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/tile_common.c.o
[ 74%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/pickrst.c.o
[ 74%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/timing.c.o
[ 74%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/txb_common.c.o
[ 75%] Building C object CMakeFiles/aom_av1_common.dir/av1/common/warped_motion.c.o
[ 75%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ransac.c.o
[ 75%] Built target aom_av1_common
[ 75%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/cdef_block_sse2.c.o
[ 76%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/ratectrl.c.o
[ 76%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/rd.c.o
[ 76%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/rdopt.c.o
[ 77%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/cfl_sse2.c.o
[ 77%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/nonrd_pickmode.c.o
[ 78%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/convolve_2d_sse2.c.o
[ 78%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/convolve_sse2.c.o
[ 78%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/jnt_convolve_sse2.c.o
[ 78%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/wiener_convolve_sse2.c.o
[ 79%] Building C object CMakeFiles/aom_av1_common_sse2_intrinsics.dir/av1/common/x86/warp_plane_sse2.c.o
[ 79%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/reconinter_enc.c.o
[ 79%] Built target aom_av1_common_sse2_intrinsics
[ 80%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/av1_fwd_txfm_sse2.c.o
[ 80%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/av1_k_means_sse2.c.o
[ 80%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/av1_quantize_sse2.c.o
[ 81%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/encodetxb_sse2.c.o
[ 81%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/error_intrin_sse2.c.o
[ 81%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/highbd_block_error_intrin_sse2.c.o
[ 81%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/highbd_temporal_filter_sse2.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/reconinter_enc_sse2.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/temporal_filter_sse2.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder_sse2_intrinsics.dir/av1/encoder/x86/wedge_utils_sse2.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/segmentation.c.o
[ 82%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/speed_features.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/superres_scale.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/svc_layercontext.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/temporal_filter.c.o
[ 83%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/thirdpass.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/tokenize.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/tpl_model.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/tx_search.c.o
[ 84%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/txb_rdopt.c.o
[ 84%] Built target aom_av1_encoder_sse2_intrinsics
[ 84%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/cdef_block_ssse3.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/intra_mode_search.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/wedge_utils.c.o
[ 85%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/var_based_part.c.o
[ 86%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/av1_inv_txfm_ssse3.c.o
[ 87%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/av1_noise_estimate.c.o
[ 87%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/fastfeat/fast.c.o
[ 87%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/fastfeat/fast_9.c.o
[ 87%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/fastfeat/nonmax.c.o
[ 88%] Building C object CMakeFiles/aom_av1_encoder.dir/third_party/vector/vector.c.o
[ 88%] Building C object CMakeFiles/aom_av1_encoder.dir/av1/encoder/dwt.c.o
[ 88%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/cfl_ssse3.c.o
[ 88%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/highbd_convolve_2d_ssse3.c.o
[ 89%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/highbd_wiener_convolve_ssse3.c.o
[ 89%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/jnt_convolve_ssse3.c.o
[ 89%] Built target aom_av1_encoder
[ 90%] Building C object CMakeFiles/aom_av1_encoder_ssse3_intrinsics.dir/av1/encoder/x86/reconinter_enc_ssse3.c.o
[ 90%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/reconinter_ssse3.c.o
[ 90%] Building C object CMakeFiles/aom_av1_common_ssse3_intrinsics.dir/av1/common/x86/resize_ssse3.c.o
[ 90%] Built target aom_av1_encoder_ssse3_intrinsics
[ 90%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/masked_sad_intrin_ssse3.c.o
[ 90%] Building C object CMakeFiles/aom_av1_encoder_sse2.dir/gen_src/aom_av1_encoder_sse2_dummy.c.o
[ 90%] Linking C static library libaom_av1_encoder_sse2.a
[ 90%] Built target aom_av1_encoder_sse2
[ 91%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/masked_sad4d_ssse3.c.o
[ 91%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/masked_variance_intrin_ssse3.c.o
[ 91%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/quantize_ssse3.c.o
[ 91%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/variance_impl_ssse3.c.o
[ 92%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/jnt_variance_ssse3.c.o
[ 92%] Built target aom_av1_common_ssse3_intrinsics
[ 92%] Building C object CMakeFiles/aom_dsp_encoder_ssse3_intrinsics.dir/aom_dsp/x86/jnt_sad_ssse3.c.o
[ 92%] Built target aom_dsp_encoder_ssse3_intrinsics
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_sse2/dct_sse2.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_ssse3/quantize_ssse3_x86_64.asm.o
[ 92%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_sse2/error_sse2.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_av1_encoder_ssse3/av1_quantize_ssse3_x86_64.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_high_subpixel_8t_sse2.asm.o
[ 93%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_high_subpixel_bilinear_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_subpixel_bilinear_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/aom_subpixel_8t_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/highbd_intrapred_asm_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/intrapred_asm_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_sse2/inv_wht_sse2.asm.o
[ 94%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_ssse3/aom_subpixel_8t_ssse3.asm.o
[ 95%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_sad4d_sse2.asm.o
[ 95%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_common_ssse3/aom_subpixel_bilinear_ssse3.asm.o
[ 95%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_sad_sse2.asm.o
[ 95%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_subpel_variance_impl_sse2.asm.o
[ 95%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/highbd_variance_impl_sse2.asm.o
[ 96%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/sad4d_sse2.asm.o
[ 96%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/sad_sse2.asm.o
[ 96%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/ssim_sse2_x86_64.asm.o
[ 96%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/subpel_variance_sse2.asm.o
[ 97%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_sse2/subtract_sse2.asm.o
[ 98%] Building ASM object /b/ext_libavif/libaom-prefix/src/libaom-build/asm_objects/aom_dsp_encoder_ssse3/fwd_txfm_ssse3_x86_64.asm.o
[ 98%] Building C object CMakeFiles/aom.dir/aom/src/aom_codec.c.o
[ 98%] Building C object CMakeFiles/aom.dir/config/aom_config.c.o
[ 99%] Building C object CMakeFiles/aom.dir/aom/src/aom_decoder.c.o
[ 99%] Building C object CMakeFiles/aom.dir/aom/src/aom_encoder.c.o
[ 99%] Building C object CMakeFiles/aom.dir/aom/src/aom_image.c.o
[ 99%] Building C object CMakeFiles/aom.dir/aom/src/aom_integer.c.o
[100%] Linking C static library libaom.a
[100%] Built target aom
[ 66%] No install step for 'libaom'
[ 66%] Completed 'libaom'
[ 66%] Built target libaom
[100%] Creating directories for 'ext_libavif'
[100%] Performing download step (git clone) for 'ext_libavif'
Clonage dans 'ext_libavif'...
HEAD est maintenant sur ac76fe0 v0.9.3
[100%] No update step for 'ext_libavif'
[100%] Performing patch step for 'ext_libavif'
[100%] Performing configure step for 'ext_libavif'
-- The C compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- libavif: Enabling warnings for GCC
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Check if compiler accepts -pthread
-- Check if compiler accepts -pthread - yes
-- Found Threads: TRUE  
-- Checking for module 'libyuv'
--   Package 'libyuv', required by 'virtual:world', not found
-- libavif: libyuv not found; libyuv-based fast paths disabled.
-- libavif: Codec enabled: aom (encode/decode)
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    BUILD_TESTING


-- Build files have been written to: /b/ext_libavif/ext_libavif-prefix/src/ext_libavif
[100%] Performing build step for 'ext_libavif'
[ 11%] Building C object CMakeFiles/avif.dir/src/alpha.c.o
[ 11%] Building C object CMakeFiles/avif.dir/src/avif.c.o
[ 17%] Building C object CMakeFiles/avif.dir/src/colr.c.o
[ 23%] Building C object CMakeFiles/avif.dir/src/diag.c.o
[ 29%] Building C object CMakeFiles/avif.dir/src/io.c.o
[ 35%] Building C object CMakeFiles/avif.dir/src/mem.c.o
[ 41%] Building C object CMakeFiles/avif.dir/src/obu.c.o
[ 47%] Building C object CMakeFiles/avif.dir/src/rawdata.c.o
[ 52%] Building C object CMakeFiles/avif.dir/src/read.c.o
[ 58%] Building C object CMakeFiles/avif.dir/src/reformat.c.o
[ 64%] Building C object CMakeFiles/avif.dir/src/reformat_libyuv.c.o
[ 70%] Building C object CMakeFiles/avif.dir/src/scale.c.o
[ 76%] Building C object CMakeFiles/avif.dir/src/stream.c.o
[ 82%] Building C object CMakeFiles/avif.dir/src/utils.c.o
[ 88%] Building C object CMakeFiles/avif.dir/src/write.c.o
[ 94%] Building C object CMakeFiles/avif.dir/src/codec_aom.c.o
[100%] Linking C shared library libavif.so
[100%] Built target avif
[100%] Performing install step for 'ext_libavif'
Install the project...
-- Install configuration: "RelWithDebInfo"
-- Installing: /usr/lib64/libavif.so.13.0.0
-- Up-to-date: /usr/lib64/libavif.so.13
-- Up-to-date: /usr/lib64/libavif.so
-- Installing: /usr/lib64/cmake/libavif/libavif-config.cmake
-- Installing: /usr/lib64/cmake/libavif/libavif-config-relwithdebinfo.cmake
-- Installing: /usr/lib64/cmake/libavif/libavif-config-version.cmake
-- Installing: /usr/lib64/pkgconfig/libavif.pc
-- Installing: /usr/include/avif/avif.h
[100%] Completed 'ext_libavif'
[100%] Built target ext_libavif
Elaspsed time for script execution : 0 hours 2 minutes 37 seconds
Comment 38 caulier.gilles 2022-03-09 13:08:57 UTC
libaom disapear from AVIF qt plugin :

[root@localhost tools (qt5-maintenance)]# ldd /usr/plugins/imageformats/kimg_avif.so
	linux-vdso.so.1 (0x00007ffdeb1b2000)
	libQt5Gui.so.5 => /lib/libQt5Gui.so.5 (0x00007fa51e5a5000)
	libavif.so.13 => /lib64/libavif.so.13 (0x00007fa51df6a000)
	libQt5Core.so.5 => /lib/libQt5Core.so.5 (0x00007fa51d96f000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fa51d7e9000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fa51d6a7000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fa51d68d000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fa51d4c1000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fa51d4a0000)
	libGL.so.1 => /lib64/libGL.so.1 (0x00007fa51d430000)
	libicui18n.so.63 => /lib64/libicui18n.so.63 (0x00007fa51d168000)
	libicuuc.so.63 => /lib64/libicuuc.so.63 (0x00007fa51cf9f000)
	libicudata.so.63 => /lib64/libicudata.so.63 (0x00007fa51cf9c000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fa51cf95000)
	libzstd.so.1 => /lib64/libzstd.so.1 (0x00007fa51cef8000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fa51cef3000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fa51cdd4000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fa51ec7e000)
	libglapi.so.0 => /lib64/libglapi.so.0 (0x00007fa51cd9b000)
	libdrm.so.2 => /lib64/libdrm.so.2 (0x00007fa51cd87000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007fa51cc47000)
	libxcb-glx.so.0 => /lib64/libxcb-glx.so.0 (0x00007fa51cc2c000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007fa51cc04000)
	libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007fa51cbff000)
	libxcb-dri2.so.0 => /lib64/libxcb-dri2.so.0 (0x00007fa51cbf9000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007fa51cbe5000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007fa51cbdb000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007fa51cbd6000)
	libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007fa51cbcf000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fa51cb93000)
	libxcb-dri3.so.0 => /lib64/libxcb-dri3.so.0 (0x00007fa51cb8d000)
	libxcb-present.so.0 => /lib64/libxcb-present.so.0 (0x00007fa51cb88000)
	libxcb-sync.so.1 => /lib64/libxcb-sync.so.1 (0x00007fa51cb7d000)
	libxshmfence.so.1 => /lib64/libxshmfence.so.1 (0x00007fa51cb78000)
	libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00007fa51cb6f000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fa51cafd000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007fa51caf8000)
	libXdmcp.so.6 => /lib64/libXdmcp.so.6 (0x00007fa51caee000)
	libbsd.so.0 => /lib64/libbsd.so.0 (0x00007fa51cad5000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fa51caca000)
[root@localhost tools (qt5-maintenance)]#
Comment 39 caulier.gilles 2022-03-09 13:12:32 UTC
Git commit 1a34c9496c8f262ab88f78927de86a4d2c2d8486 by Gilles Caulier.
Committed on 09/03/2022 at 13:11.
Pushed by cgilles into branch 'qt5-maintenance'.

AVIF in AppImage: no needs dirty libaom touch

M  +3    -0    project/bundles/3rdparty/ext_libavif/CMakeLists.txt
M  +0    -5    project/bundles/appimage/04-build-appimage.sh

https://invent.kde.org/graphics/digikam/commit/1a34c9496c8f262ab88f78927de86a4d2c2d8486
Comment 40 caulier.gilles 2022-03-09 13:48:03 UTC
Git commit c4a373ecc34b5d0511b7f583e43da44115fb2849 by Gilles Caulier.
Committed on 09/03/2022 at 13:46.
Pushed by cgilles into branch 'qt5-maintenance'.

AVIF: preload library from the AppImage bundle.

M  +3    -0    project/bundles/appimage/data/AppRun

https://invent.kde.org/graphics/digikam/commit/c4a373ecc34b5d0511b7f583e43da44115fb2849
Comment 41 caulier.gilles 2022-03-09 14:06:32 UTC
Git commit 45fa6f27a17d762489821605fd8c47cf3f056a47 by Gilles Caulier.
Committed on 09/03/2022 at 14:03.
Pushed by cgilles into branch 'qt5-maintenance'.

Try to fix AVIF thumbnail extraction.
I suspect QFileInfo type-mime return video not image

M  +6    -1    core/libs/threadimageio/thumb/thumbnailcreator_engine.cpp

https://invent.kde.org/graphics/digikam/commit/45fa6f27a17d762489821605fd8c47cf3f056a47
Comment 42 caulier.gilles 2022-03-09 17:15:03 UTC
And now AVIF support on AppImage. Thumbnail work now... 

https://i.imgur.com/JV3Dmoz.png

But the mime-type "AVIF" is not shown as thumb overlay...

Gilles
Comment 43 caulier.gilles 2022-03-09 17:18:29 UTC
Oh, elementary Mr Watson (:-))

Digikam::ThumbnailCreator::createThumbnail: Trying to get thumbnail from "/home/gilles/Images/4324477432.avif" ( "" )

The type mime returned from QFileInfo is empty... Too bad...

Gilles
Comment 44 caulier.gilles 2022-03-09 17:41:41 UTC
Maik,

For AVIF, the registered image format in database is an empty string.

In fact this is a generic problem. If type mime is empty from QFileInfo, we must do something at least, not to store an empty string.

Gilles
Comment 45 Maik Qualmann 2022-03-09 20:59:14 UTC
Hi Gilles,

For me it is recognized as a "PCX" image. Recognition is done with QImageReader::imageFormat(). So the image format is still unknown in Qt.

 https://invent.kde.org/graphics/digikam/-/blob/master/core/libs/database/item/scanner/itemscanner_photo.cpp#L119

Maik
Comment 46 Maik Qualmann 2022-03-09 21:05:30 UTC
Git commit 8c54803387e7af323a9e293359076ba3610c6702 by Maik Qualmann.
Committed on 09/03/2022 at 21:04.
Pushed by mqualmann into branch 'master'.

fix AVIF detection for the database

M  +7    -0    core/libs/database/item/scanner/itemscanner_photo.cpp

https://invent.kde.org/graphics/digikam/commit/8c54803387e7af323a9e293359076ba3610c6702
Comment 47 Maik Qualmann 2022-03-09 21:19:27 UTC
QByteArray QImageReader::imageFormat(const QString &fileName)

This function should return an empty string if the format is unknown (PCX for me). An empty string is probably not an empty QByteArray. Therefore, the fallback to the QFileInfo suffix probably does not work.

With the test for the extension in advance, it now works. 

Maik
Comment 48 Maik Qualmann 2022-03-09 21:25:49 UTC
OK, interesting. I searched the web for more AVIF samples. Images that can be displayed are actually recognized as AVIF by QImageReader::imageFormat.

Maik
Comment 49 dnovomesky 2022-03-09 21:30:37 UTC
AVIF testfiles:
https://github.com/AOMediaCodec/av1-avif/tree/master/testFiles
Comment 50 caulier.gilles 2022-03-10 04:55:30 UTC
Git commit fc125e54fa9a67bfb271b0bd5a4a1d4e8bde2d03 by Gilles Caulier.
Committed on 10/03/2022 at 04:52.
Pushed by cgilles into branch 'qt5-maintenance'.

Same type-mime problem than AVIF for JPX, depending of Qt version
Related: bug 436533

M  +4    -1    core/libs/database/item/scanner/itemscanner_photo.cpp
M  +2    -1    core/libs/threadimageio/thumb/thumbnailcreator_engine.cpp

https://invent.kde.org/graphics/digikam/commit/fc125e54fa9a67bfb271b0bd5a4a1d4e8bde2d03
Comment 51 caulier.gilles 2022-03-10 07:20:49 UTC
Git commit adb7178aa0ec3e02ecbf76bb5c29b4544a94a5f8 by Gilles Caulier.
Committed on 10/03/2022 at 07:18.
Pushed by cgilles into branch 'qt5-maintenance'.

As with AppImage, build libaom as static under Windows to link with libavif.
Add 2 new scripts to install/update one dependency in MXE, as with AppImage

M  +20   -27   project/bundles/3rdparty/ext_libavif/CMakeLists.txt
A  +77   -0    project/bundles/mxe/tools/installextralibsdep.sh
A  +82   -0    project/bundles/mxe/tools/installmxedeps.sh

https://invent.kde.org/graphics/digikam/commit/adb7178aa0ec3e02ecbf76bb5c29b4544a94a5f8